---@class XEPinchFaceController : XEPinchController
XEPinchFaceController = {}

---@public xelua_XEPinchFace_XEPinchFaceController_new00
---@param rootPath string
---@return XEPinchFaceController
function XEPinchFaceController:new(rootPath) end

---@public xelua_XEPinchFace_XEPinchFaceController_LoadPinchScene00
---@param director xes::Director
---@return boolean
function XEPinchFaceController:LoadPinchScene(director) end

---@public xelua_XEPinchFace_XEPinchFaceController_LoadPinchScene01
---@param director xes::Director
---@param sceneId string
---@return boolean
function XEPinchFaceController:LoadPinchScene(director, sceneId) end

---@public xelua_XEPinchFace_XEPinchFaceController_ChangePinchValue00
---@param pointNickName string
---@param moveValue XVECTOR2
---@return void
function XEPinchFaceController:ChangePinchValue(pointNickName, moveValue) end

---@public xelua_XEPinchFace_XEPinchFaceController_DisplayFacePoints00
---@param o_type PFOrganType
---@return void
function XEPinchFaceController:DisplayFacePoints(o_type) end

---@public xelua_XEPinchFace_XEPinchFaceController_RotateActoc00
---@param rotate boolean
---@return void
function XEPinchFaceController:RotateActoc(rotate) end

---@public xelua_XEPinchFace_XEPinchFaceController_DragRotating00
---@param moveValue XVECTOR2
---@return void
function XEPinchFaceController:DragRotating(moveValue) end

---@public xelua_XEPinchFace_XEPinchFaceController_ChangePanelElement00
---@param type number
---@param gridID string
---@return void
function XEPinchFaceController:ChangePanelElement(type, gridID) end

---@public xelua_XEPinchFace_XEPinchFaceController_ChangePanelColor00
---@param type number
---@param colorId string
---@param color XVECTOR3
---@return void
function XEPinchFaceController:ChangePanelColor(type, colorId, color) end

---@public xelua_XEPinchFace_XEPinchFaceController_LoadUserDataJson00
---@param jsonStr string
---@return void
function XEPinchFaceController:LoadUserDataJson(jsonStr) end

---@public xelua_XEPinchFace_XEPinchFaceController_CurrentUserDataJson00
---@return string
function XEPinchFaceController:CurrentUserDataJson() end

---@public xelua_XEPinchFace_XEPinchFaceController_PushUserAction00
---@param panelType number
---@return void
function XEPinchFaceController:PushUserAction(panelType) end

---@public xelua_XEPinchFace_XEPinchFaceController_RollbackUserAction00
---@return void
function XEPinchFaceController:RollbackUserAction() end

---@public xelua_XEPinchFace_XEPinchFaceController_GoForwardUserAction00
---@return void
function XEPinchFaceController:GoForwardUserAction() end

---@public xelua_XEPinchFace_XEPinchFaceController_CurrentUserAction00
---@return PFStackElement
function XEPinchFaceController:CurrentUserAction() end

---@public xelua_XEPinchFace_XEPinchFaceController_CanRooBack00
---@return boolean
function XEPinchFaceController:CanRooBack() end

---@public xelua_XEPinchFace_XEPinchFaceController_CanGoForWard00
---@return boolean
function XEPinchFaceController:CanGoForWard() end

---@public xelua_XEPinchFace_XEPinchFaceController_StartBreatheAniamtion00
---@return void
function XEPinchFaceController:StartBreatheAniamtion() end

---@public xelua_XEPinchFace_XEPinchFaceController_StopBreatheAnimation00
---@return void
function XEPinchFaceController:StopBreatheAnimation() end

---@public xelua_XEPinchFace_XEPinchFaceController_AdjustToPrintScreen00
---@return void
function XEPinchFaceController:AdjustToPrintScreen() end

---@public xelua_XEPinchFace_XEPinchFaceController_AdjustFullScreen00
---@return void
function XEPinchFaceController:AdjustFullScreen() end

---@public xelua_XEPinchFace_XEPinchFaceController_AdjustSubScreen00
---@return void
function XEPinchFaceController:AdjustSubScreen() end


