---触摸事件
---@class XUIEventTouch : XUIEvent
XUIEventTouch = {}


---@type number @readonly 
XUIEventTouch.MAX_TOUCHES = 0


---@type number @enum EventCode
XUIEventTouch.BEGAN = 0


---@type number @enum EventCode
XUIEventTouch.MOVED = 0


---@type number @enum EventCode
XUIEventTouch.ENDED = 0


---@type number @enum EventCode
XUIEventTouch.CANCELLED = 0


---@public XUIEventTouch_new00
---@return XUIEventTouch
function XUIEventTouch:new() end


---@public 添加触摸点
---@param pTouch XUITouch 触摸点
---@return void
function XUIEventTouch:AddTouch(pTouch) end


---@public 获取事件类型
---@return number 当前触摸事件所对应的事件代码
function XUIEventTouch:GetEventCode() end


---@public 设置事件类型代码
---@param eventCode number 触摸事件所对应的事件类型
---@return void
function XUIEventTouch:SetEventCode(eventCode) end


---@public 获取触摸点的列表
---@return XUITouch[] 获取当前触摸屏幕所有点的列表
function XUIEventTouch:GetTouches() end


---@public 设置触摸点列表
---@param aTouches XUITouch[] 一个触摸点列表
---@return void
function XUIEventTouch:SetTouches(aTouches) end


