---@class XUIFontStroke
XUIFontStroke = {}


---@public XUIFontStroke_new00
---@return XUIFontStroke
function XUIFontStroke:new() end


---@type boolean 是否进行描边
XUIFontStroke._strokeEnabled = false


---@type XCOLORBASE 描边颜色
XUIFontStroke._strokeColor = {}


---@type number 描边大小
XUIFontStroke._strokeSize = 0


---@class XUISysFontDef
XUISysFontDef = {}


---@public XUISysFontDef_new00
---@return XUISysFontDef
function XUISysFontDef:new() end


---@type string 字体名称
XUISysFontDef._fontName = ''


---@type number 字体大小
XUISysFontDef._fontSize = 0


---@type number 横向对齐方式
XUISysFontDef._alignment = 0


---@type number 纵向对齐方式
XUISysFontDef._vertAlignment = 0


---@type XCOLORBASE 文本颜色
XUISysFontDef._color = {}


---@type XVECTOR2 预设文件区域大小
XUISysFontDef._dimensions = {}


---@type boolean 是否自动换行
XUISysFontDef._enableWrap = false


---@type boolean 是否加粗
XUISysFontDef._enableBold = false


---@type XUIFontStroke 描边参数
XUISysFontDef._stroke = {}


---@type number 保留参数（当前未启用）
XUISysFontDef._overflow = 0


---@class IXUIFontSysTexture
IXUIFontSysTexture = {}


---@public 创建系统字体纹理
---@return IXUIFontSysTexture
function IXUIFontSysTexture:Create() end


---@public 销毁系统字体纹理
---@return void
function IXUIFontSysTexture:Release() end


---@public 获取系统字体纹理
---@return IXTexture2D 返回系统字体纹理，此处会进行引擎计数+1
function IXUIFontSysTexture:GetTexture2DOfAddRef() end


---@public 获取系统字体纹理
---@param text string
---@param textDefinition  XUISysFontDef 返回系统字体纹理，此处会进行引用计数+1，外部需要手动释放，IOS端获取的纹理大小为2的幂次
---@return boolean
function IXUIFontSysTexture:GenerateWithString(text, textDefinition) end


---@public 获取系统字体纹理
---@param text string
---@param textDefinition  XUISysFontDef 返回系统字体纹理，此处会进行引用计数+1，外部需要手动释放，IOS端获取的纹理大小为原生大小，不必强制2的幂次
---@return boolean
function IXUIFontSysTexture:GenerateWithStringNotSquare(text, textDefinition) end


