---@class XUIPrefeb
XUIPrefeb = {}


---@public 创建并返回解析完成的预制体
---@param strUIPrefebPath string
---@return XUIPrefeb 预制体指针
function XUIPrefeb:Create(strUIPrefebPath) end


---@public 创建UI预制体实例
---@param pScene XUIScene UI场景指针
---@return XUINode UI控件指针
function XUIPrefeb:Instance(pScene) end


---@public 将UI控件打包为预制体
---@param pNode XUINode 待打包UI控件
---@return boolean
function XUIPrefeb:Pack(pNode) end


---@public 将UI预制体实例还原为正常节点
---@param pNode XUINode
---@return void
function XUIPrefeb:UnPack(pNode) end


---@class XUIPrefebManager
XUIPrefebManager = {}


---@public XUIPrefebManager_InstancePrefeb00
---@param strPrefebPath string
---@param pScene XUIScene
---@return XUINode
function XUIPrefebManager:InstancePrefeb(strPrefebPath, pScene) end


---@public XUIPrefebManager_IsPrefebInstance00
---@param pNode XUINode
---@return boolean
function XUIPrefebManager:IsPrefebInstance(pNode) end


