---ScaleTo动作通过修改scale属性让一个节点对象的缩放到特定大小。
---@warning 这个动作不支持“逆转”（reverse）;包含的物理身体的节点不支持这一动作
---@class XUIScaleTo : XUIScaleBy
XUIScaleTo = {}


---@public 用持续时间和X和Y轴分别的缩放比例创建XUIScaleTo动作
---@param fDuration number 持续时间，以秒为单位
---@param v2Scale XVECTOR2 x分量代表X轴缩放比例，y分量代表y轴缩放比例
---@return XUIScaleTo 一个自释放的XUIScaleTo对象，如果创建失败则返回空指针
function XUIScaleTo:Create(fDuration, v2Scale) end


---@public 用持续时间和X和Y轴相同的缩放比例创建XUIScaleTo动作
---@param fDuration number 持续时间，以秒为单位
---@param fScale number X和Y轴的缩放比例
---@return XUIScaleTo 一个自释放的XUIScaleTo对象，如果创建失败则返回空指针
function XUIScaleTo:Create(fDuration, fScale) end


