---@class XUITouch
XUITouch = {}


---@public XUITouch_new00
---@return XUITouch
function XUITouch:new() end


---@public 设置触摸相关的信息。用于监控触摸事件
---@param id number 一个给定的id
---@param x number 一个给定的点x坐标
---@param y number 一个给定的点y坐标
---@param vRect  XUIRect
---@return void
function XUITouch:SetTouchInfo(id, x, y, vRect) end


---@type number
XUITouch.m_nID = 0


---@type boolean
XUITouch.m_bStartPointCaptured = false


---@type XVECTOR2
XUITouch.m_vStartPoint = {}


---@type XVECTOR2
XUITouch.m_vPoint = {}


---@type XVECTOR2
XUITouch.m_vPrePoint = {}


---@type number
XUITouch.m_fCurForce = 0


---@type number
XUITouch.m_fMaxForce = 0


---@type XVECTOR2
XUITouch.m_vUIWorldPoint = {}


---@type XVECTOR2
XUITouch.m_vPreUIWorldPoint = {}


