---@class XUIDynamicListDelegate
XUIDynamicListDelegate = {}


---@public XUIDynamicListDelegate_GetDynamicItem00
---@param nIndex number
---@return XUIWidget
function XUIDynamicListDelegate:GetDynamicItem(nIndex) end


---@public XUIDynamicListDelegate_GetDynamicItemNumber00
---@return number
function XUIDynamicListDelegate:GetDynamicItemNumber() end


---@class XUIDynamicListView : XUIListView
XUIDynamicListView = {}


---@public 创建并返回一个空的控件实例的指针
---@return XUIDynamicListView 控件指针
function XUIDynamicListView:Create() end


---@public XUIDynamicListView_new00
---@return XUIDynamicListView
function XUIDynamicListView:new() end


---@public 设置用于生成指定索引的Item的代理类实例
---@param pDelegate XUIDynamicListDelegate 该代理类需要实现根据索引值获取Item的功能和获取当前Item总个数的功能。
---@return void
function XUIDynamicListView:SetDynamicListDelegate(pDelegate) end


---@public 获取当前设置进去的代理类实例， 没有就返回 空值。
---@return XUIDynamicListDelegate
function XUIDynamicListView:GetDynamicListDelegate() end


---@public 提供手动刷新动态列表接口，调用以刷新整个列表。
---@return void
function XUIDynamicListView:UpdateView() end


