---@class XUIFxWrapper : XUIWidget
XUIFxWrapper = {}


---@public 创建并返回一个空的控件实例的指针
---@return XUIFxWrapper 控件指针
function XUIFxWrapper:Create() end


---@public 创建并返回一个控件实例
---@param _fxpath string 相对路径
---@return XUIFxWrapper 控件指针
function XUIFxWrapper:Create(_fxpath) end


---@public 设置粒子路径
---@param _fxpath string 相对路径
---@return boolean
function XUIFxWrapper:SetFxPath(_fxpath) end


---@public 获取粒子路径
---@return string
function XUIFxWrapper:GetFxPath() end


---@public 设置粒子渲染顺序
---@param type number 0：显示在所有ui后边，2：显示在所有ui前边，1参与ui排序
---@return void
function XUIFxWrapper:SetLayer(type) end


---@public 获取粒子渲染顺序
---@return number
function XUIFxWrapper:GetLayer() end


---@public 设置粒子是否自动播放状态
---@param autoplay boolean
---@return void
function XUIFxWrapper:SetAutoPlayState(autoplay) end


---@public 获取粒子是否自动播放状态
---@return boolean
function XUIFxWrapper:GetAutoPlayState() end


---@public 停止粒子播放
---@param bClearNow boolean 是否立即清理
---@return void
function XUIFxWrapper:FxStop(bClearNow) end


---@public 暂停粒子播放
---@return void
function XUIFxWrapper:FxPause() end


---@public 播放粒子
---@return void
function XUIFxWrapper:FxPlay() end


---@public 重新播放粒子
---@return void
function XUIFxWrapper:FxRestart() end


---@public 判断粒子是否播放完成
---@return boolean
function XUIFxWrapper:FxIsCompleted() end


