---@class XUITreeViewItem : XUIImage
XUITreeViewItem = {}


---@public XUITreeViewItem_Create00
---@param strText string
---@return XUITreeViewItem
function XUITreeViewItem:Create(strText) end


---@public XUITreeViewItem_Create01
---@param pTree XUITreeView
---@param strText string
---@return XUITreeViewItem
function XUITreeViewItem:Create(pTree, strText) end


---@public XUITreeViewItem_Create02
---@param pTreeItem XUITreeViewItem
---@param strText string
---@return XUITreeViewItem
function XUITreeViewItem:Create(pTreeItem, strText) end


---@public XUITreeViewItem_GetChildItem00
---@param nIndex number
---@return XUITreeViewItem
function XUITreeViewItem:GetChildItem(nIndex) end


---@public XUITreeViewItem_GetChildItemNum00
---@return number
function XUITreeViewItem:GetChildItemNum() end


---@public XUITreeViewItem_AddChildItem00
---@param pItem XUITreeViewItem
---@return void
function XUITreeViewItem:AddChildItem(pItem) end


---@public XUITreeViewItem_RemoveChildItem00
---@param pItem XUITreeViewItem
---@return void
function XUITreeViewItem:RemoveChildItem(pItem) end


---@public XUITreeViewItem_SetText00
---@param strText string
---@return void
function XUITreeViewItem:SetText(strText) end


---@public XUITreeViewItem_GetText00
---@return string
function XUITreeViewItem:GetText() end


---@public XUITreeViewItem_SetExpand00
---@param bExpand boolean
---@return void
function XUITreeViewItem:SetExpand(bExpand) end


---@public XUITreeViewItem_IsExpand00
---@return boolean
function XUITreeViewItem:IsExpand() end


---@public XUITreeViewItem_GetLabelAlignment00
---@return XUIWidgetAlignment
function XUITreeViewItem:GetLabelAlignment() end


---@class XUITreeView : XUIScrollView
XUITreeView = {}


---@type number @enum EventType
XUITreeView.ON_SELECTED_ITEM_START = 0


---@type number @enum EventType
XUITreeView.ON_SELECTED_ITEM_END = 0


---@public XUITreeView_Create00
---@return XUITreeView
function XUITreeView:Create() end


---@public XUITreeView_new00
---@return XUITreeView
function XUITreeView:new() end


---@public XUITreeView_AddItem00
---@param pItem XUITreeViewItem
---@return void
function XUITreeView:AddItem(pItem) end


---@manual xelua_XEngine_XUITreeView_AddEventListener_manual
---@public XUITreeView_AddEventListener_manual
---@param callback  std::function<void(XUINode*, EventType)>
---@return void
function XUITreeView:AddEventListener(callback) end


---@public XUITreeView_GetSelectedItem00
---@return XUITreeViewItem
function XUITreeView:GetSelectedItem() end


---@public XUITreeView_SetLineIndent00
---@param fLineIndent number
---@return void
function XUITreeView:SetLineIndent(fLineIndent) end


---@public XUITreeView_GetLineIndent00
---@return number
function XUITreeView:GetLineIndent() end


---@public XUITreeView_SetRowHeight00
---@param fHeight number
---@return void
function XUITreeView:SetRowHeight(fHeight) end


---@public XUITreeView_GetRowHeight00
---@return number
function XUITreeView:GetRowHeight() end


---@public XUITreeView_SetDefaultFontSize00
---@param fFontSize number
---@return void
function XUITreeView:SetDefaultFontSize(fFontSize) end


---@public XUITreeView_GetDefaultFontSize00
---@return number
function XUITreeView:GetDefaultFontSize() end


---@public XUITreeView_SetExpandFlagVisible00
---@param bShow boolean
---@return void
function XUITreeView:SetExpandFlagVisible(bShow) end


---@public XUITreeView_IsExpandFlagVisible00
---@return boolean
function XUITreeView:IsExpandFlagVisible() end


