---用于记录Actor骨骼或Socket上绑定的UserNode节点
---@class XEBindUserNodeData
XEBindUserNodeData = {}


---@public XEBindUserNodeData_new00
---@return XEBindUserNodeData
function XEBindUserNodeData:new() end


---@public 置空UseNodeData
---@return void
function XEBindUserNodeData:Empty() end


---@public 设置节点数据名称
---@param strBindUserNodeName string
---@return void
function XEBindUserNodeData:SetBindUserNodeName(strBindUserNodeName) end


---@public 获取节点数据名称
---@return string
function XEBindUserNodeData:GetBindUserNodeName() end


---@public 设置节点数据类型
---@param strBindUserNodeType string
---@return void
function XEBindUserNodeData:SetBindUserNodeType(strBindUserNodeType) end


---@public 获取节点数据类型
---@return string
function XEBindUserNodeData:GetBindUserNodeType() end


---@public 获取节点数据是否绑定了父节点
---@return boolean
function XEBindUserNodeData:GetIsBindParentUserNode() end


---@public 设置节点数据是否绑定父节点
---@param bIsBindParentUserNode boolean
---@return void
function XEBindUserNodeData:SetIsBindParentUserNode(bIsBindParentUserNode) end


---@public 设置节点数据的Transform矩阵
---@param matTransform XMATRIX4
---@return void
function XEBindUserNodeData:SetTransform(matTransform) end


---@public 获取节点数据的Transform矩阵
---@return XMATRIX4
function XEBindUserNodeData:GetTransform() end


---@public 设置绑定的Bone索引
---@param nBoneIndex number
---@return void
function XEBindUserNodeData:SetBindBoneIndex(nBoneIndex) end


---@public 获取绑定的Bone索引
---@return number
function XEBindUserNodeData:GetBindBoneIndex() end


