---音频组件
---对应XEAmbientSoundActor
---@class XEAudioComponent : XEActorComponent
XEAudioComponent = {}


---@public XEAudioComponent_new00
---@return XEAudioComponent
function XEAudioComponent:new() end


---@public 加载一个声音资源
---@param pPath string 声音资源路径
---@param bindAudioSource boolean
---@return boolean
function XEAudioComponent:LoadAsset(pPath, bindAudioSource) end


---@public 获取声音资源路径
---@return string 声音资源路径(XString)
function XEAudioComponent:GetAssetPath() end


---@public XEAudioComponent_GetAudioSource00
---@return IXAudioSource
function XEAudioComponent:GetAudioSource() end


---@public 播放
---@return void
function XEAudioComponent:Play() end


---@public 暂停
---@return void
function XEAudioComponent:Pause() end


---@public 恢复
---@return void
function XEAudioComponent:Resume() end


---@public 停止
---@return void
function XEAudioComponent:Stop() end


---@type string @readonly Component类型名
XEAudioComponent.COMPONENT_TYPENAME = ''


