---移动组件基类
---用来完成业务层面的移动
---@class XEPawnMovementComponent : XEMovementComponent
XEPawnMovementComponent = {}


---@type number @enum XEPawnMovingState
XEPawnMovementComponent.EPawnStoped = 0


---@type number @enum XEPawnMovingState
XEPawnMovementComponent.EPawnMoving = 0


---@type number @enum XEPawnMovingState
XEPawnMovementComponent.EPawnBlocking = 0


---@type number @enum XEPawnMovingState
XEPawnMovementComponent.EPawnFalling = 0


---@type number @enum XEPawnBlockType
XEPawnMovementComponent.ESmoothMove = 0


---@type number @enum XEPawnBlockType
XEPawnMovementComponent.EStop = 0


---@public XEPawnMovementComponent_new00
---@return XEPawnMovementComponent
function XEPawnMovementComponent:new() end


---@public XEPawnMovementComponent_GetPawnMoveState00
---@return number
function XEPawnMovementComponent:GetPawnMoveState() end


---@public XEPawnMovementComponent_SetSpeed00
---@param fSpeed number
---@return void
function XEPawnMovementComponent:SetSpeed(fSpeed) end


---@public XEPawnMovementComponent_GetSpeed00
---@return number
function XEPawnMovementComponent:GetSpeed() end


---@public XEPawnMovementComponent_SetBlockType00
---@param eType number
---@return void
function XEPawnMovementComponent:SetBlockType(eType) end


---@public XEPawnMovementComponent_GetBlockType00
---@return number
function XEPawnMovementComponent:GetBlockType() end


---@public XEPawnMovementComponent_SetMovementDirection00
---@param vDirection XVECTOR3
---@return void
function XEPawnMovementComponent:SetMovementDirection(vDirection) end


---@public XEPawnMovementComponent_GetMovementDirection00
---@return XVECTOR3
function XEPawnMovementComponent:GetMovementDirection() end


---@public XEPawnMovementComponent_SetUpStepMaxHeight00
---@param fHeight number
---@return void
function XEPawnMovementComponent:SetUpStepMaxHeight(fHeight) end


---@public XEPawnMovementComponent_GetUpStepMaxHeight00
---@return number
function XEPawnMovementComponent:GetUpStepMaxHeight() end


---@type string @readonly Component类型名
XEPawnMovementComponent.COMPONENT_TYPENAME = ''


---@public XEPawnMovementComponent_GetTypeName00
---@return string
function XEPawnMovementComponent:GetTypeName() end


