---形状组件基类
---可以设置形状组件的颜色，获取形状的AABB包围盒。
---@class XEShapeComponent : XEActorComponent
XEShapeComponent = {}


---@public XEShapeComponent_new00
---@return XEShapeComponent
function XEShapeComponent:new() end


---@public 设置形状组件的颜色
---@param color number 要设置的颜色.
---@return void
function XEShapeComponent:SetShapeColor(color) end


---@public 获取形状组件的颜色
---@return number 形状组件的颜色.
function XEShapeComponent:GetShapeColor() end


---@public XEShapeComponent_GetBoundingRadius00
---@return number
function XEShapeComponent:GetBoundingRadius() end


---@public XEShapeComponent_RayPick00
---@param hr XEHitResult
---@param pShape XEShapeComponent
---@return boolean
function XEShapeComponent:RayPick(hr, pShape) end


---@type string @readonly Component类型名
XEShapeComponent.COMPONENT_TYPENAME = ''


