---@class XEAnimBlend : XEAnimBlendBase
XEAnimBlend = {}


---@public XEAnimBlend_new00
---@return XEAnimBlend
function XEAnimBlend:new() end


---@public 初始化
---@param strAssetPath string
---@return void
function XEAnimBlend:Initialize(strAssetPath) end


---@public 查找混合动画中的名为strTrackName的混合轨道
---@param strTrackName string
---@return XEAnimBlendLayerTrack
function XEAnimBlend:FindTrack(strTrackName) end


---@public 设置是否末尾循环
---@param bSet boolean
---@return void
function XEAnimBlend:SetLoopAtEnd(bSet) end


---@public 设置动画末尾循环播放起始时间
---@param nTime number
---@return void
function XEAnimBlend:SetLoopAtEndStartTime(nTime) end


---@public 获取与其关联的模型资源路径
---@return string
function XEAnimBlend:GetSkinModelAssetPath() end


---@public 获取blend动画资源路径
---@return string
function XEAnimBlend:GetAssetPath() end


---@public 判断动画末尾是否循环播放
---@return boolean
function XEAnimBlend:IsLoopAtEnd() end


---@public 设置手动播放动画区域起始时间
---@param nTime number
---@return void
function XEAnimBlend:SetManaulStartTime(nTime) end


---@public 获取手动播放动画区域起始时间
---@return number
function XEAnimBlend:GetManualStartTime() end


---@public 设置手动播放动画区域结束时间
---@param nTime number
---@return void
function XEAnimBlend:SetManualEndTime(nTime) end


---@public 获取手动播放动画区域结束时间
---@return number
function XEAnimBlend:GetManualEndTime() end


---@public 设置动画播放模式是否是手动模式
---@param bManual boolean
---@return void
function XEAnimBlend:SetManualTimeMode(bManual) end


---@public 获取动画播放模式是否是手动模式
---@return boolean
function XEAnimBlend:IsManualTimeMode() end


---@public 设置当前混合动画是否被改变
---@param bSet boolean
---@return void
function XEAnimBlend:SetModified(bSet) end


---@public 获取当前混合动画是否被改变
---@return boolean
function XEAnimBlend:IsModified() end


---@public 获取动画末尾循环播放起始时间
---如果不为空且为非手动模式，返回在动画长度内的起始时间。
---@param pAnimMonController  XEAnimBlendController 动画控制播放器指针
---@return number 如果pAnimMonController为空，返回SetLoopAtEndStartTime设置的值;如果不为空且为手动模式，返回在手动播放区域的起始时间;
function XEAnimBlend:GetLoopAtEndStartTime(pAnimMonController) end


---@public 获取绑定的节点列表
---@return XETreeNode[]
---@return void
function XEAnimBlend:GetBindNode() end


