---蒙太奇动画实例类
---@class XEAnimMontageInstance : XEAnimMonBaseInstance
XEAnimMontageInstance = {}


---@public XEAnimMontageInstance_new00
---@param pAnimMontage XEAnimMontage
---@return XEAnimMontageInstance
function XEAnimMontageInstance:new(pAnimMontage) end


---@public 设置与当前蒙太奇动画实例相关联的组件，并创建骨骼实例
---@param pComponent XEModelComponent 与其关联的组件指针
---@param bAttachToComponent boolean 是否把当前蒙太奇动画实例附加到组件上
---@return boolean 返回是否成功
function XEAnimMontageInstance:AcceptSkinModel(pComponent, bAttachToComponent) end


---@public 获取当前蒙太奇动画实例的模板指针
---@return XEAnimMontage
function XEAnimMontageInstance:GetAnimMontageTemplate() end


---@public 给当前实例的节点Manager设置关联的世界
---@param pLevel XELevel
---@return void
function XEAnimMontageInstance:AcceptLevel(pLevel) end


---@public 获取当前实例的节点Manager关联的关卡
---@return XELevel
function XEAnimMontageInstance:GetLevel() end


---@public 获取当前实例的节点Manager关联的世界
---@return XEWorld
function XEAnimMontageInstance:GetWorld() end


---@public 获取当前实例的蒙太奇动画播放器指针
---@return XEAnimMonController
function XEAnimMontageInstance:GetAnimMonController() end


---@public 获取当前实例的相关联的模型组件指针
---@return XEModelComponent
function XEAnimMontageInstance:GetModelComponent() end


---@public 获取移动预览指针
---@return XEMovementAttacher
function XEAnimMontageInstance:GetMovementAttacher() end


---@public 获取当前实例绑定的节点列表
---@return XETreeNode[]
---@return void
function XEAnimMontageInstance:GetBindNodeIns() end


---@public 获取当前实例节点Manager中起始时间最接近nTime的实例指针，且startTime <= nTime
---@param nTime number
---@return XEAnimMonElementInstance
function XEAnimMontageInstance:GetAnimMonElementInsUpper(nTime) end


---@public 设置粒子在指定子视图中渲染, 同时将当前粒子特效作一次subview迁移操作
---@param szSubviewName string
---@param bMoveInRenderView boolean
---@return void
function XEAnimMontageInstance:SetRenderInSubview(szSubviewName, bMoveInRenderView) end


---@public 是否在子视图中渲染
---@return boolean
function XEAnimMontageInstance:IsRenderInSubview() end


---@public 获取所有关联子视图名称
---@return string[]
function XEAnimMontageInstance:GetSubviewNames() end


---@class XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher
local XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher = {}
XEAnimMontageInstance.XEAnimMonInstanceEventDispatcher = XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher


---@public 执行中断-开始
---@param pAnimMonBaseInstance XEAnimMonBaseInstance
---@return void
function XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher:DoInterruptBegin(pAnimMonBaseInstance) end


---@public 执行中断-结束
---@param pAnimMonBaseInstance XEAnimMonBaseInstance
---@return void
function XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher:DoInterruptEnd(pAnimMonBaseInstance) end


---@public 执行播放状态变化响应
---@param strStatusName string
---@return void
function XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher:DoPlayControlStateChanged(strStatusName) end


---@public 在一个Lua模板文件中响应播放pause/resume/stop
---@param strScriptFile string
---@param bEventTickable boolean
---@return void
function XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher:SetupHandleScript(strScriptFile, bEventTickable) end


---@public 释放资源
---@return void
function XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher:Release() end


---@public 设置脚本事件是否可响应tick
---@param bEnable boolean
---@return void
function XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher:SetTickable(bEnable) end


---@public XEAnimMontageInstance_XEAnimMonInstanceEventDispatcher_GetAnimMontageInstance00
---@return XEAnimMontageInstance
function XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher:GetAnimMontageInstance() end


---@public XEAnimMontageInstance_XEAnimMonInstanceEventDispatcher_IsEventTickable00
---@return boolean
function XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher:IsEventTickable() end


---@public 需要安装事件分发器才能响应分发效果
---@param strScriptFile string
---@param bEventTickable boolean
---@return void
function XEAnimMontageInstance:SetupEventDispatcher(strScriptFile, bEventTickable) end


---@public 获取事件分发器
---@return XEAnimMontageInstance__XEAnimMonInstanceEventDispatcher
function XEAnimMontageInstance:GetEventDispatcher() end


