---混合动画的动画元素类对应的实例
---@class XEAnimBlendEleModelAnimationIns : XEAnimBlendBaseInstance
XEAnimBlendEleModelAnimationIns = {}


---@public XEAnimBlendEleModelAnimationIns_new00
---@param pNodeTl XEAnimBlendEleModelAnimation
---@return XEAnimBlendEleModelAnimationIns
function XEAnimBlendEleModelAnimationIns:new(pNodeTl) end


---@public 给当前混合动画元素实例添加一个动画并应用
---@return boolean
function XEAnimBlendEleModelAnimationIns:ApplyAnimSequence() end


---@public 获取当前实例中当前动画的长度
---@return number
function XEAnimBlendEleModelAnimationIns:GetAnimDuration() end


---@public 获取当前实例对应的模板指针
---@return XEAnimBlendEleModelAnimation
function XEAnimBlendEleModelAnimationIns:GetAnimBlendEleModelAnimationTempalte() end


---@public 设置混合动画中某个片段的起始时间
---@param pLayerName string 动画所在的层name
---@param pPath string 动画片段资源路径
---@param fStartTime number 设置动画片段开始时间，单位是微秒
---@param fEndTime number 设置动画片段结束时间
---@return void
function XEAnimBlendEleModelAnimationIns:SetAnimBlendTime(pLayerName, pPath, fStartTime, fEndTime) end


---@public 更新整个混合动画的时间线
---@return void
function XEAnimBlendEleModelAnimationIns:UpdateAnimBlendTime() end


---@public 获取动画实际长度
---@return number
function XEAnimBlendEleModelAnimationIns:GetActualDuration() end


