---Montage的粒子效果通知类实例
---@class XEAnimMonNotifyParticleIns : XEAnimMonNotifyInstance
XEAnimMonNotifyParticleIns = {}


---@public XEAnimMonNotifyParticleIns_new00
---@param pNodeTl XEAnimMonNotifyParticle
---@return XEAnimMonNotifyParticleIns
function XEAnimMonNotifyParticleIns:new(pNodeTl) end


---@class XEAnimMonNotifyParticleIns__SpawnParticle
local XEAnimMonNotifyParticleIns__SpawnParticle = {}
XEAnimMonNotifyParticleIns.SpawnParticle = XEAnimMonNotifyParticleIns__SpawnParticle


---@public XEAnimMonNotifyParticleIns_SpawnParticle_new00
---@return XEAnimMonNotifyParticleIns__SpawnParticle
function XEAnimMonNotifyParticleIns__SpawnParticle:new() end


---@type number set to -1 means will never dead, in millisecond.
XEAnimMonNotifyParticleIns__SpawnParticle.nLifeTime = 0


---@type number when life is over, should be fade out and then remove it.
XEAnimMonNotifyParticleIns__SpawnParticle.nFadeOutTime = 0


---@type XEParticleSystemComponent 粒子实例指针
XEAnimMonNotifyParticleIns__SpawnParticle.pParticle = {}


---@type number in millisecond.
XEAnimMonNotifyParticleIns__SpawnParticle.nSpawnAccumulateTime = 0


---@public 接受粒子资源设置并产生粒子效果实例
---@return boolean
function XEAnimMonNotifyParticleIns:AcceptParticleSystem() end


---@public 获取对应的粒子效果通知实例模板
---@return XEAnimMonNotifyParticle
function XEAnimMonNotifyParticleIns:GetAnimMonNotifyParticle() end


---@public 当设置为出生模式时，粒子播放调用此函数，每次会重新生成一个新的粒子效果实例，然后播放起来
---@param nLifeTime number 粒子持续时间，到达这个时间后，粒子会停止播放。
---@return boolean
function XEAnimMonNotifyParticleIns:SpawnParticleSystem(nLifeTime) end


---@public 绑定插槽节点实例
---@return boolean
function XEAnimMonNotifyParticleIns:BindXESocketInstance() end


---@public 与插槽节点实例解绑
---@return void
function XEAnimMonNotifyParticleIns:UnbindXESocketInstance() end


---@public 获取默认的粒子效果变换矩阵，如果粒子效果绑定了插槽，则与该插槽的变换矩阵相同；如果没有，则与对应模型组件的变换矩阵相同
---@return XETransform
---@return boolean
function XEAnimMonNotifyParticleIns:GetDefaultPawnTransform() end


---@public 清除并释放当前效果通知中的所有粒子效果实例
---@return void
function XEAnimMonNotifyParticleIns:ClearAllSpawnParticleSystem() end


---@public 应用蒙太奇动画里粒子通知的“出生模式”
---@return void
function XEAnimMonNotifyParticleIns:ApplySpawnMode() end


---@public 获取绑定的插槽实例
---@return XEBindSocketInstance
function XEAnimMonNotifyParticleIns:GetBindSocketInstance() end


---@public 获取粒子效果实例的组件指针
---@return XEParticleSystemComponent
function XEAnimMonNotifyParticleIns:GetParticleSystem() end


