---@class XEMatFxDistributionParameterInstance : XEUserNodeInstance
XEMatFxDistributionParameterInstance = {}


---@type number @enum MatFxState
XEMatFxDistributionParameterInstance.MFX_STATE_READY = 0


---@type number @enum MatFxState
XEMatFxDistributionParameterInstance.MFX_STATE_PLAYING = 0


---@type number @enum MatFxState
XEMatFxDistributionParameterInstance.MFX_STATE_PLAYED = 0


---@public 清除分布曲线
---@return void
function XEMatFxDistributionParameterInstance:ClearDistribution() end


---@public 获取该实例对应的模板
---@return XEMatFxDistributionParameter
function XEMatFxDistributionParameterInstance:GetMatCurveParameterTemplate() end


---@public 获取关联材质特效参数节点对象
---@return XEMaterialFxInstance
function XEMatFxDistributionParameterInstance:GetMatFxInstance() end


---@public 从资源文件中加载分布数据
---@return boolean 是否加载成功
function XEMatFxDistributionParameterInstance:LoadDistributionFromFile() end


---@public 是否含有点
---@return boolean 是否含有
function XEMatFxDistributionParameterInstance:HasPoints() end


---@public 判定关联的材质参数是否为Color参数
---@param pColorGet XVECTOR4 如果想要同时获取作为Color参数的值，请传入一个XVECTOR4的地址
---@return boolean 是否为颜色参数
function XEMatFxDistributionParameterInstance:IsColor(pColorGet) end


---@public 重置状态
---@return void
function XEMatFxDistributionParameterInstance:ResetState() end


---@public 获取材质状态
---@return number
function XEMatFxDistributionParameterInstance:GetState() end


---@public 根据输入获取曲线上对应返回值
---@param fInVal number 输入值
---@return XEVariant 输出值
function XEMatFxDistributionParameterInstance:Eval(fInVal) end


---@public 获取底层材质实例指针
---@return IXMaterialInstance
function XEMatFxDistributionParameterInstance:GetMaterialInstance() end


---@public 设置底层材质实例指针
---@param pMatIns IXMaterialInstance
---@return void
function XEMatFxDistributionParameterInstance:SetMaterialInstance(pMatIns) end


