---布料的物理信息
---编辑布料受到的物理效果
---@class XEPhysicsClothConfig : XEUserNodeInstance
XEPhysicsClothConfig = {}


---@public XEPhysicsClothConfig_new00
---@return XEPhysicsClothConfig
function XEPhysicsClothConfig:new() end


---@class XEPhysicsClothConfig__XEClothParam
local XEPhysicsClothConfig__XEClothParam = {}
XEPhysicsClothConfig.XEClothParam = XEPhysicsClothConfig__XEClothParam


---@type string
XEPhysicsClothConfig__XEClothParam.strCurrentName = ''


---@type XEClothParam[]
XEPhysicsClothConfig__XEClothParam.aSubParamNames = {}


---@public XEPhysicsClothConfig_XEClothParam_new00
---@return XEPhysicsClothConfig__XEClothParam
function XEPhysicsClothConfig__XEClothParam:new() end


---@public XEPhysicsClothConfig_XEClothParam_new01
---@param szName string
---@return XEPhysicsClothConfig__XEClothParam
function XEPhysicsClothConfig__XEClothParam:new(szName) end


---@public 根据路径创建一个actor，并将Actor绑定的布料资源注册到物理世界
---@param strPath string 对应的资源路径
---@return boolean 是否成功创建
function XEPhysicsClothConfig:AcceptPreviewAnimatableModel(strPath) end


---@public 返回一个带动画的骨骼模型组件
---@return XEAnimatableModelComponent 一个带动画的骨骼模型组件指针
function XEPhysicsClothConfig:GetPreviewAnimatableModelComponent() end


---@public 设置当前世界
---@param pWorld XEWorld 世界指针.
---@return void
function XEPhysicsClothConfig:SetWorld(pWorld) end


---@public 获取当前世界
---@return XEWorld 当前世界指针.
function XEPhysicsClothConfig:GetWorld() end


---@public 获取风的方向
---@return XVECTOR3 当前风的方向.
function XEPhysicsClothConfig:GetWindDir() end


---@public 获取风的速度
---@return number 当前风的速度.
function XEPhysicsClothConfig:GetWindSpeed() end


---@public 设置风的方向
---@param vDir XVECTOR3 风的方向.
---@return void
function XEPhysicsClothConfig:SetWindDir(vDir) end


---@public 设置风的速度
---@param fSpeed number 风的速度.
---@return void
function XEPhysicsClothConfig:SetWindSpeed(fSpeed) end


---@public 获取模型指定的 mesh 上绑定布料资源对应的指针
---@param szMeshName string 模型上mesh名称
---@return IXCloth
function XEPhysicsClothConfig:GetClothPrimitive(szMeshName) end


---@public 根据蒙皮索引和 cth 路径创建布料资源并绑定到模型上，内部是根据材质名进行匹配
---@param szClothPath string 布料资源(cth)的路径，此路径是相对工程文件夹下.xscene文件的路径
---@param nSkinIndex number 模型对象的蒙皮索引
---@return boolean 布料是否创建成功
function XEPhysicsClothConfig:CreateClothAttachModel(szClothPath, nSkinIndex) end


---@public 根据蒙皮索引和 cth 路径创建布料资源并绑定到模型上，内部是根据材质名进行匹配
---@param szClothPath string 布料资源(cth)的路径，此路径是相对工程文件夹下.xscene文件的路径
---@param nSkinIndex number 模型对象的蒙皮索引
---@return IXCloth 创建的布料指针
function XEPhysicsClothConfig:CreateClothAttachModelWithClothPath(szClothPath, nSkinIndex) end


---@public 从模型指定的 mesh 上移除布料并释放
---@param szMeshName string 模型上mesh名称
---@return void
function XEPhysicsClothConfig:RemoveAndReleaseClothAssetFromMesh(szMeshName) end


---@public 获取模型实例所绑定的所有布料资源
---@return IXCloth[]
---@return void
function XEPhysicsClothConfig:GetClothPrimitive() end


---@public 获取模型实例所绑定的所有布料资源
---@return XEClothParam[] 获取模型全部的布料属性
function XEPhysicsClothConfig:GetAllClothParamName() end


---@public 设置是否有改动
---@param bModify boolean 是否改动
---@return void
function XEPhysicsClothConfig:SetModify(bModify) end


---@public 获取是否有改动
---@return boolean 是否改动
function XEPhysicsClothConfig:GetIsModify() end


---@public 获取所有带布料的mesh名称
---@return string[]
---@return void
function XEPhysicsClothConfig:GetMeshNameWithCloth() end


---@public 判断是否是模型绑定的布料
---@param szClothPath string 布料的地址
---@return boolean
function XEPhysicsClothConfig:IsModeBindCloth(szClothPath) end


---@public 获取绑定的Actor名字
---@return string
function XEPhysicsClothConfig:GetActorName() end


