---骨骼物理的关节模板类
---编辑关节的骨骼物理效果
---@class XEPhysicsConstraint : XEUserNode
XEPhysicsConstraint = {}


---@public XEPhysicsConstraint_new00
---@return XEPhysicsConstraint
function XEPhysicsConstraint:new() end


---@public 获取关节其中一个骨骼的名称
---@return string 骨骼文件的名称
function XEPhysicsConstraint:GetBone1Name() end


---@public 获取关节其中一个骨骼的名称
---@return string 骨骼文件的名称
function XEPhysicsConstraint:GetBone2Name() end


---@public 设置物理关节
---@param pConstraint IXConstraint
---@return void
function XEPhysicsConstraint:SetXPhysicsConstraint(pConstraint) end


---@public 获取物理关节指针
---@return IXConstraint 关节指针
function XEPhysicsConstraint:GetXPhysicsConstraint() end


---@public 设置当前约束节点所属的父body节点和关联的另外一个body节点
---@param strAttachBodyName string 当前约束节点所属的父body节点
---@param strOtherBodyName string 当前约束关联的另一个body节点
---@return void
function XEPhysicsConstraint:SetSkeletalBodyName(strAttachBodyName, strOtherBodyName) end


---@public 获取当前约束节点所属的父body节点
---@return string 当前约束节点所属的父body节点
function XEPhysicsConstraint:GetAttachSkeletalBodyName() end


---@public 获取当前约束关联的另一个body节点
---@return string 当前约束关联的另一个body节点
function XEPhysicsConstraint:GetAttachOtherSkeletalBodyName() end


