---刚体形状模板类
---设置刚体的形状（目前只支持胶囊形状）
---@class XEPhysicsShapeElem : XEUserNode
XEPhysicsShapeElem = {}


---@public XEPhysicsShapeElem_new00
---@return XEPhysicsShapeElem
function XEPhysicsShapeElem:new() end


---@public 指定刚体形状的索引和基本数据
---@param nIndex number 索引ID
---@param ele XSphylShapeElem
---@return void
function XEPhysicsShapeElem:SetXPhyShapeElem(nIndex, ele) end


---@public 获取刚体形状的基本数据
---@return XSphylShapeElem 刚体形状数据指针
function XEPhysicsShapeElem:GetXPhyShapeElem() end


---@public 获取刚体形状的索引ID
---@return number 刚体形状的索引ID
function XEPhysicsShapeElem:GetShapeIndex() end


---@public 更新刚体形状的索引和基本数据
---@param nIndex number 索引ID
---@param pShapeElem XSphylShapeElem
---@return boolean 是否更新成功
function XEPhysicsShapeElem:UpdateBodyShape(nIndex, pShapeElem) end


---@public 设置绑定的刚体节点
---@param pNode XEPhysicsSkeletalBody 刚体节点指针
---@return void
function XEPhysicsShapeElem:SetAttachSkeletalBodyNode(pNode) end


