---@class XEPhysicsSkeletalBodyInstance : XEUserNodeInstance
XEPhysicsSkeletalBodyInstance = {}


---@public XEPhysicsSkeletalBodyInstance_new00
---@param pPhysicsBody XEPhysicsSkeletalBody
---@return XEPhysicsSkeletalBodyInstance
function XEPhysicsSkeletalBodyInstance:new(pPhysicsBody) end


---@public 获取刚体模板
---@return XEPhysicsSkeletalBody 刚体模板指针
function XEPhysicsSkeletalBodyInstance:GetPhysicsBodyTemplate() end


---@public 获取刚体指针
---@return IXSkeletalBody 刚体指针
function XEPhysicsSkeletalBodyInstance:GetIXPhysicsBody() end


---@public 重新创建骨骼物理实例
---@return void
function XEPhysicsSkeletalBodyInstance:ReCreateSkeletalPhysicsInstance() end


---@public 移除关联节点的实例
---@param pConstraintIns XEUserNodeInstance 关联节点的实例指针
---@return void
function XEPhysicsSkeletalBodyInstance:RemoveConstraintInstance(pConstraintIns) end


---@public 当前的关节是否被选中
---@param bSelected boolean 是否被选中.
---@return void
function XEPhysicsSkeletalBodyInstance:SetSelected(bSelected) end


---@public 获取当前是否是被选中的状态
---@return boolean 返回当前是否是被选中的状态
function XEPhysicsSkeletalBodyInstance:IsSelected() end


