---@class X2DMotorJointComponent : X2DJointComponent
X2DMotorJointComponent = {}


---@public 创建一个X2DMotorJointComponent碰撞组件
---@param pNode XUINode 目标节点
---@return X2DMotorJointComponent 创建出的X2DMotorJointComponent组件
function X2DMotorJointComponent:Create(pNode) end


---@public 关节另一端的刚体相对于起始端刚体的位置偏移量
---@param xelua_var_40 XVECTOR2
---@return X2DMotorJointComponent
function X2DMotorJointComponent:SetLinearOffset(xelua_var_40) end


---@public 关节另一端的刚体相对于起始端刚体的角度偏移量
---@param xelua_var_41 number
---@return X2DMotorJointComponent
function X2DMotorJointComponent:SetAngularOffset(xelua_var_41) end


---@public 可以应用于刚体的最大的力值
---@param xelua_var_42 number
---@return X2DMotorJointComponent
function X2DMotorJointComponent:SetMaxForce(xelua_var_42) end


---@public 可以应用于刚体的最大扭矩值
---@param xelua_var_43 number
---@return X2DMotorJointComponent
function X2DMotorJointComponent:SetMaxTorque(xelua_var_43) end


---@public 位置矫正系数，范围为 [0, 1]
---@param xelua_var_44 number
---@return X2DMotorJointComponent
function X2DMotorJointComponent:SetCorrectionFactor(xelua_var_44) end


---@public X2DMotorJointComponent_GetLinearOffset00
---@return XVECTOR2
function X2DMotorJointComponent:GetLinearOffset() end


---@public X2DMotorJointComponent_GetAngularOffset00
---@return number
function X2DMotorJointComponent:GetAngularOffset() end


---@public X2DMotorJointComponent_GetMaxForce00
---@return number
function X2DMotorJointComponent:GetMaxForce() end


---@public X2DMotorJointComponent_GetMaxTorque00
---@return number
function X2DMotorJointComponent:GetMaxTorque() end


---@public X2DMotorJointComponent_GetCorrectionFactor00
---@return number
function X2DMotorJointComponent:GetCorrectionFactor() end


---@type string @readonly 
X2DMotorJointComponent.COMPONENT_TYPENAME = ''


