---@class X2DWorldManifold
X2DWorldManifold = {}


---@type XVECTOR2[]
X2DWorldManifold.points = {}


---@type number[]
X2DWorldManifold.separations = {}


---@type XVECTOR2
X2DWorldManifold.normal = {}


---ManifoldPoint 是接触信息中的接触点信息。它拥有关于几何和接触点的详细信息。
---注意：信息中的冲量用于系统内部缓存，提供的接触力可能不是很准确，特别是高速移动中的碰撞信息。
---@class ManifoldPoint
---@class X2DManifoldPoint
X2DManifoldPoint = {}


---@type XVECTOR2
X2DManifoldPoint.localPoint = {}


---@type number
X2DManifoldPoint.normalImpulse = 0


---@type number
X2DManifoldPoint.tangentImpulse = 0


---ManifoldPoint 是接触信息中的接触点信息。它拥有关于几何和接触点的详细信息。
---注意：信息中的冲量用于系统内部缓存，提供的接触力可能不是很准确，特别是高速移动中的碰撞信息。
---@class ManifoldPoint
---@class X2DManifold
X2DManifold = {}


---@type number
X2DManifold.type = 0


---@type XVECTOR2
X2DManifold.localPoint = {}


---@type XVECTOR2
X2DManifold.localNormal = {}


---@type XArray<X2DManifoldPoint>
X2DManifold.points = {}


---@class X2DContactImpulse
X2DContactImpulse = {}


---@type number[]
X2DContactImpulse.normalImpulses = {}


---@type number[]
X2DContactImpulse.tangentImpulses = {}


---@class X2DPhysicalContact : XOwnerRecorder
X2DPhysicalContact = {}


---@public 获取世界坐标系下的碰撞信息。
---@return X2DWorldManifold
function X2DPhysicalContact:GetWorldManifold() end


---@public 获取本地（局部）坐标系下的碰撞信息。
---@return X2DManifold
function X2DPhysicalContact:GetManifold() end


---@public 获取冲量信息
---注：这个信息只有在 PostSolve 回调中才能获取到
---@return X2DContactImpulse
function X2DPhysicalContact:GetContactImpulse() end


---@public X2DPhysicalContact_SetEnabled00
---@param xelua_var_29 boolean
---@return void
function X2DPhysicalContact:SetEnabled(xelua_var_29) end


---@public 返回碰撞体是否已经接触到
---@return boolean
function X2DPhysicalContact:IsTouching() end


---@public 为传送带设置期望的切线速度
---@param xelua_var_30 number
---@return void
function X2DPhysicalContact:SetTangentSpeed(xelua_var_30) end


---@public 获取切线速度
---@return number
function X2DPhysicalContact:GetTangentSpeed() end


---@public 覆盖默认的摩擦力系数。可以在 onPreSolve 回调中调用此函数。
---@param xelua_var_31 number
---@return void
function X2DPhysicalContact:SetFriction(xelua_var_31) end


---@public 获取当前摩擦力系数
---@return number
function X2DPhysicalContact:GetFriction() end


---@public 重置摩擦力系数到默认值
---@return void
function X2DPhysicalContact:ResetFriction() end


---@public 覆盖默认的恢复系数。可以在 onPreSolve 回调中调用此函数。
---@param xelua_var_32 number
---@return void
function X2DPhysicalContact:SetRestitution(xelua_var_32) end


---@public 获取当前恢复系数
---@return number
function X2DPhysicalContact:GetRestitution() end


---@public 重置恢复系数到默认值
---@return void
function X2DPhysicalContact:ResetRestitution() end


