---@class X2DPhysicalEdgeColliderComponent : X2DPhysicalColliderComponent
X2DPhysicalEdgeColliderComponent = {}


---@public 创建一个X2DPhysicalColliderComponent布局组件
---@param pNode XUINode 目标节点
---@return X2DPhysicalEdgeColliderComponent 创建出的X2DPhysicalColliderComponent组件
function X2DPhysicalEdgeColliderComponent:Create(pNode) end


---@public X2DPhysicalEdgeColliderComponent_GetEdgeNum00
---@return number
function X2DPhysicalEdgeColliderComponent:GetEdgeNum() end


---@public X2DPhysicalEdgeColliderComponent_AddEdge00
---@param v1 XVECTOR2
---@param v2 XVECTOR2
---@return X2DPhysicalEdgeColliderComponent
function X2DPhysicalEdgeColliderComponent:AddEdge(v1, v2) end


---@public X2DPhysicalEdgeColliderComponent_SetEdge00
---@param v1 XVECTOR2
---@param v2 XVECTOR2
---@param index number
---@return X2DPhysicalEdgeColliderComponent
function X2DPhysicalEdgeColliderComponent:SetEdge(v1, v2, index) end


---@public X2DPhysicalEdgeColliderComponent_RemoveEdge00
---@param index number
---@return X2DPhysicalEdgeColliderComponent
function X2DPhysicalEdgeColliderComponent:RemoveEdge(index) end


---@public X2DPhysicalEdgeColliderComponent_RemoveAllEdges00
---@return X2DPhysicalEdgeColliderComponent
function X2DPhysicalEdgeColliderComponent:RemoveAllEdges() end


---@public X2DPhysicalEdgeColliderComponent_GetEdge00
---@param index number
---@return XVECTOR2
---@return XVECTOR2
---@return void
function X2DPhysicalEdgeColliderComponent:GetEdge(index) end


---@type string @readonly 
X2DPhysicalEdgeColliderComponent.COMPONENT_TYPENAME = ''


