---@class X2DPrismaticJointComponent : X2DJointComponent
X2DPrismaticJointComponent = {}


---@public 创建一个X2DPrismaticJointComponent碰撞组件
---@param pNode XUINode 目标节点
---@return X2DPrismaticJointComponent 创建出的X2DPrismaticJointComponent组件
function X2DPrismaticJointComponent:Create(pNode) end


---@public 移动轴向
---@param xelua_var_45 XVECTOR2
---@return X2DPrismaticJointComponent
function X2DPrismaticJointComponent:SetLocalAxisA(xelua_var_45) end


---@public A与B的相对角度
---@param xelua_var_46 number
---@return X2DPrismaticJointComponent
function X2DPrismaticJointComponent:SetReferenceAngle(xelua_var_46) end


---@public 最小移动距离限制
---@param xelua_var_47 number
---@return X2DPrismaticJointComponent
function X2DPrismaticJointComponent:SetLowerTranslation(xelua_var_47) end


---@public 最大移动距离限制
---@param xelua_var_48 number
---@return X2DPrismaticJointComponent
function X2DPrismaticJointComponent:SetUpperTranslation(xelua_var_48) end


---@public 期望的马达速度。
---@param xelua_var_49 number
---@return X2DPrismaticJointComponent
function X2DPrismaticJointComponent:SetMotorSpeed(xelua_var_49) end


---@public 可以施加到刚体的最大力。
---@param xelua_var_50 number
---@return X2DPrismaticJointComponent
function X2DPrismaticJointComponent:SetMaxMotorForce(xelua_var_50) end


---@public 是否开启限制
---@param xelua_var_51 boolean
---@return X2DPrismaticJointComponent
function X2DPrismaticJointComponent:EnableLimit(xelua_var_51) end


---@public 开启关节马达（线速度
---@param xelua_var_52 boolean
---@return X2DPrismaticJointComponent
function X2DPrismaticJointComponent:EnableMotor(xelua_var_52) end


---@public 移动轴向
---@return XVECTOR2
function X2DPrismaticJointComponent:GetLocalAxisA() end


---@public A与B的相对角度
---@return number
function X2DPrismaticJointComponent:GetReferenceAngle() end


---@public 最小移动距离限制
---@return number
function X2DPrismaticJointComponent:GetLowerTranslation() end


---@public 最大移动距离限制
---@return number
function X2DPrismaticJointComponent:GetUpperTranslation() end


---@public 期望的马达速度。
---@return number
function X2DPrismaticJointComponent:GetMotorSpeed() end


---@public 可以施加到刚体的最大力。
---@return number
function X2DPrismaticJointComponent:GetMaxMotorForce() end


---@public 是否开启限制
---@return boolean
function X2DPrismaticJointComponent:IsEnableLimit() end


---@public 开启关节马达（线速度
---@return boolean
function X2DPrismaticJointComponent:IsEnableMotor() end


---@type string @readonly 
X2DPrismaticJointComponent.COMPONENT_TYPENAME = ''


