---@class XESeqBindingCameraCutsInstance : XESeqBindingInstance
XESeqBindingCameraCutsInstance = {}


---@public XESeqBindingCameraCutsInstance_new00
---@param pNodeTl XESeqBindingCameraCuts
---@return XESeqBindingCameraCutsInstance
function XESeqBindingCameraCutsInstance:new(pNodeTl) end


---@public 获取受影响的相机对象
---@return XBaseCamera
function XESeqBindingCameraCutsInstance:GetApplyCamera() end


---@public 判断指定的相机Actor指针是否有效
---@param pCameraActor XEActor
---@return boolean
function XESeqBindingCameraCutsInstance:VerifyCameraActor(pCameraActor) end


---@public 获取到关联的模板指针
---@return XESeqBindingCameraCuts
function XESeqBindingCameraCutsInstance:GetSeqBindingCameraCutsTemplate() end


---@public 如果相机轨道上有指定相机Actor，则激活它
---@param pInCutsActor XEActor
---@return void
function XESeqBindingCameraCutsInstance:ExclusiveBindingNodes(pInCutsActor) end


---@public 判断摄像机轨道是否绑定了某个相机
---@param pHolderActor XEActor 判断的相机Actor指针
---@return boolean 是否绑定
function XESeqBindingCameraCutsInstance:HasBindCamera(pHolderActor) end


---@public 设置某个段的激活状态
---@param nMetaIndex number 数据段索引
---@param bActive boolean 激活状态
---@return boolean 是否设置成功
function XESeqBindingCameraCutsInstance:SetSegmentInsActive(nMetaIndex, bActive) end


---@public 段过渡插值
---@param nMetaIndex number 当前需要过滤的段
---@param nCurMicroSecond number 当前运行时间
---@param pCameraCutsTl XESeqBindingCameraCuts 轨道模板
---@param pWorkCamera XBaseCamera 工作相机
---@return boolean 当段插值成功时返回true
function XESeqBindingCameraCutsInstance:InterpolateFadeSection(nMetaIndex, nCurMicroSecond, pCameraCutsTl, pWorkCamera) end


