---@class XESpawnParticleEventDataInstance : XEUserNodeInstance
XESpawnParticleEventDataInstance = {}


---@public 设置播放粒子的transform矩阵，包括位置，旋转，缩放信息
---@param tf  XETransform transform矩阵
---@return void
function XESpawnParticleEventDataInstance:SetTransform(tf) end


---@public 获取播放粒子的transform矩阵
---@return XETransform transform矩阵
function XESpawnParticleEventDataInstance:GetTransform() end


---@public 设置播放粒子的资源路径
---@param path string 粒子资源路径
---@return void
function XESpawnParticleEventDataInstance:SetParticleAssetPath(path) end


---@public 获取播放粒子的资源路径
---@return string 粒子资源路径
function XESpawnParticleEventDataInstance:GetParticleAssetPath() end


