---@class XEPFilterNode : XEPatchNode
XEPFilterNode = {}


---@public XEPFilterNode_new00
---@return XEPFilterNode
function XEPFilterNode:new() end


---@public build filter template
---@param szFilterTypeName string filtertype,ifNULL,useXEFilter
---@param szFilterInsTypeName string filterinstype,ifNULL,ignoreit
---@return XEFilter
function XEPFilterNode:CreateFilterTemplate(szFilterTypeName, szFilterInsTypeName) end


---@public return the filter-template-node
---@return XEFilter
function XEPFilterNode:GetFilterTemplate() end


---@public return the filter-node instance been compiled, NOTE: the template is always been cloned with the given m_pFilterTemplate
---@return XEFilterInstance
function XEPFilterNode:GetCompiledFilterInstance() end


---@public release old and set it to a new one, warning! node will be delete in release
---@param pFilterOuter XEFilter
---@return void
function XEPFilterNode:SetFilterTemplate(pFilterOuter) end


---@public whether this filter-node is connected to the final-output
---@return boolean
function XEPFilterNode:IsConnectForFinalOutput() end


---@public clean the filter-effect
---@param bRebuildGraph boolean
---@return void
function XEPFilterNode:CleanFilterEffect(bRebuildGraph) end


---@public resetup the input filter sampler slot
---@param nSlotNum number
---@param bRefreshGraph boolean
---@return void
function XEPFilterNode:ResetupFilterSamplerSlotNum(nSlotNum, bRefreshGraph) end


---@public current input filter sampler slot count
---@return number
function XEPFilterNode:GetFilterSamplerSlotNum() end


---@public to refresh the filter render graph
---@return void
function XEPFilterNode:RefreshFilterRenderGraph() end


