---@class XSkinData : XOwnerRecorder
XSkinData = {}


---@type number @enum XMeshType
XSkinData.XMT_STATIC_MESH = 0


---@type number @enum XMeshType
XSkinData.XMT_SKIN_MESH = 0


---@type number @enum XMeshType
XSkinData.XMT_NUM = 0


---@class XSkinData__BoneNameAndOBB
local XSkinData__BoneNameAndOBB = {}
XSkinData.BoneNameAndOBB = XSkinData__BoneNameAndOBB


---@type string
XSkinData__BoneNameAndOBB.strBoneName = ''


---@type XCusOBB
XSkinData__BoneNameAndOBB.boneOBB = {}


---@class XSkinData__XRawMesh
local XSkinData__XRawMesh = {}
XSkinData.XRawMesh = XSkinData__XRawMesh


---@type number
XSkinData__XRawMesh.nStartVertex = 0


---@type number
XSkinData__XRawMesh.nVertices = 0


---@class XSkinData__IndexPairAndNormal
local XSkinData__IndexPairAndNormal = {}
XSkinData.IndexPairAndNormal = XSkinData__IndexPairAndNormal


---@type number
XSkinData__IndexPairAndNormal.vertexIndex = 0


---@type number
XSkinData__IndexPairAndNormal.uniqueIndex = 0


---@type XVECTOR4
XSkinData__IndexPairAndNormal.normal = {}


---@class XSkinData__XRenderMesh
local XSkinData__XRenderMesh = {}
XSkinData.XRenderMesh = XSkinData__XRenderMesh


---@public XSkinData_XRenderMesh_new00
---@return XSkinData__XRenderMesh
function XSkinData__XRenderMesh:new() end


---@manual xelua_XEngine_XSkinData_XRenderMesh_GetTriVertex_manual
---@public XSkinData_XRenderMesh_GetTriVertex_manual
---@param nTriIndex number
---@return XSkinMeshVertex
---@return number
---@return boolean
function XSkinData__XRenderMesh:GetTriVertex(nTriIndex) end


---@public 创建顶点信息描述
---@return void
function XSkinData__XRenderMesh:CreateVertexDef() end


---@type number
XSkinData__XRenderMesh.nVertices = 0


---@type number
XSkinData__XRenderMesh.nFaces = 0


---@type number
XSkinData__XRenderMesh.nStartVertex = 0


---@type number
XSkinData__XRenderMesh.nStartIndex = 0


---@type number
XSkinData__XRenderMesh.nRawMeshIndex = 0


---@type string
XSkinData__XRenderMesh.strName = ''


---@type number
XSkinData__XRenderMesh.nMaxBonePerVertex = 0


---@type number
XSkinData__XRenderMesh.eMeshType = 0


---@type boolean
XSkinData__XRenderMesh.bBShpMesh = false


---@type string[]
XSkinData__XRenderMesh.aBoneNames = {}


---@type number[] for fast search
XSkinData__XRenderMesh.aBoneNameHash = {}


---@type XMATRIX4[]
XSkinData__XRenderMesh.aBoneInitMats = {}


---@type XCusAABB
XSkinData__XRenderMesh.initAABB = {}


---@type boolean
XSkinData__XRenderMesh.bSupportUV1 = false


---@type number[]
XSkinData__XRenderMesh.aUniqueNormalIndices = {}


---@type IndexPairAndNormal[]
XSkinData__XRenderMesh.aNonBShpMeshInBShpMeshVertices = {}


---@type number[]
XSkinData__XRenderMesh.aVerts = {}


---@type number[]
XSkinData__XRenderMesh.aRenderVertexIndexToRawVertexIndexMap = {}


---@type IXVertexBuffer
XSkinData__XRenderMesh.pRefVB = {}


---@type IXIndexBuffer
XSkinData__XRenderMesh.pRefIB = {}


---@type string[]
XSkinData__XRenderMesh.aTextureNames = {}


---@class XSkinData__XLOD
local XSkinData__XLOD = {}
XSkinData.XLOD = XSkinData__XLOD


---@public XSkinData_XLOD_new00
---@return XSkinData__XLOD
function XSkinData__XLOD:new() end


---@public 以2进制形式保存指定Mesh信息到文件
---@param pFile XFileBase
---@param nMeshIndex number
---@return void
function XSkinData__XLOD:SaveMeshBinary(pFile, nMeshIndex) end


---@public XSkinData_XLOD_CalculateBoneOBB00
---@param aBoneNames string[]
---@return XCusOBB[]
---@return void
function XSkinData__XLOD:CalculateBoneOBB(aBoneNames) end


---@public XSkinData_XLOD_CalculateBoneOBBFromSkinVB00
---@param aBoneNames string[]
---@param aBoneOBBs XCusOBB[]
---@return void
function XSkinData__XLOD:CalculateBoneOBBFromSkinVB(aBoneNames, aBoneOBBs) end


---@type XCusAABB
XSkinData__XLOD.m_initAABB = {}


---@type number
XSkinData__XLOD.m_nUniqueNormalVertexNum = 0


---@type XRenderMesh[]
XSkinData__XLOD.m_XRenderMeshes = {}


---@type XRawMesh[]
XSkinData__XLOD.m_aRawMeshes = {}


---@type BoneNameAndOBB[]
XSkinData__XLOD.m_aBoneNameAndOBBs = {}


---@type XSkinMeshVertex[]
XSkinData__XLOD.m_aSkinExtraSpeedTreeVBForSave = {}


---@type number[]
XSkinData__XLOD.m_aSkinIBForSave = {}


---@public 释放当前SkinData中的资源等
---@return void
function XSkinData:Release() end


---@public 获取所有LOD个数
---@return number [类型][xint32]所有LOD个数
function XSkinData:GetLODNum() end


---@public 获取指定LOD
---@param index number
---@return  XSkinData__XLOD
function XSkinData:GetLOD(index) end


---@public 获取指定LOD
---@param index number
---@return XSkinData__XLOD
function XSkinData:GetLOD(index) end


---@public XSkinData_GetRenderMesh00
---@param szMeshName string
---@param nLODIndex number
---@return XRenderMesh[]
---@return void
function XSkinData:GetRenderMesh(szMeshName, nLODIndex) end


---@public 根据Mesh名称获取对应的RawMesh
---@param szMeshName string
---@param nLODIndex number
---@return  XSkinData__XRawMesh XRawMesh]获取到的RawMesh指针
function XSkinData:GetRawMesh(szMeshName, nLODIndex) end


---@public 根据Mesh名称获取对应的RawMesh
---@param szMeshName string
---@param nLODIndex number
---@return XSkinData__XRawMesh
function XSkinData:GetRawMesh(szMeshName, nLODIndex) end


---@public 获取版本号
---@return number [类型][xint32]版本号
function XSkinData:GetVersion() end


---@public 获取指定LOD对应的所有RenderMesh个数
---@param nLODIndex number
---@return number
function XSkinData:GetRenderMeshNum(nLODIndex) end


---@public 获取指定LOD和指定RenderMesh索引的RenderMesh
---@param nMeshIndex number
---@param nLODIndex number
---@return  XSkinData__XRenderMesh
function XSkinData:GetRenderMesh(nMeshIndex, nLODIndex) end


---@public 获取指定LOD和指定RenderMesh索引的RenderMesh
---@param nMeshIndex number
---@param nLODIndex number
---@return XSkinData__XRenderMesh
function XSkinData:GetRenderMesh(nMeshIndex, nLODIndex) end


---@public 获取指定LOD对应的所有RawMesh个数
---@param nLODIndex number
---@return number
function XSkinData:GetRawMeshNum(nLODIndex) end


---@public 获取指定LOD索引的初始化AABB信息
---@param nLODIndex number
---@return  XCusAABB
function XSkinData:GetInitAABB(nLODIndex) end


---@public 获取当前SkinData对应文件名称
---@return string [类型][constxchar]对应的文件名称
function XSkinData:GetFileName() end


---@public 获取指定Mesh类型和指定LOD索引对应的顶点buffer
---@param eMeshType number
---@param nLODIndex number
---@return  IXVertexBuffer
function XSkinData:GetVBByMeshType(eMeshType, nLODIndex) end


---@public 获取指定Mesh类型和指定LOD索引对应的顶点坐标buffer
---@param eMeshType number
---@param nLODIndex number
---@return IXVertexBuffer
function XSkinData:GetVBByMeshType(eMeshType, nLODIndex) end


---@public 获取指定Mesh类型和指定LOD索引对应的顶点索引buffer
---@param eMeshType number
---@param nLODIndex number
---@return  IXIndexBuffer
function XSkinData:GetIBByMeshType(eMeshType, nLODIndex) end


---@public 获取指定Mesh类型和指定LOD索引对应的顶点索引buffer
---@param eMeshType number
---@param nLODIndex number
---@return IXIndexBuffer
function XSkinData:GetIBByMeshType(eMeshType, nLODIndex) end


---@public 以2进制方式存储当前skindata信息
---@return void
function XSkinData:SaveBinary() end


---@public 初始化顶点buffer和顶点索引buffer
---@param eMeshType number
---@param nVBSize number
---@param nIBSize number
---@param nLODIndex number
---@return void
function XSkinData:InitVBAndIB(eMeshType, nVBSize, nIBSize, nLODIndex) end


---@public 添加一个RenderMesh
---@param pRenderMesh XSkinData::XRenderMesh
---@param nLODIndex number
---@return void
function XSkinData:AddRenderMesh(pRenderMesh, nLODIndex) end


---@public 获取指定LOD的所有骨头名称和OBB信息
---@param nLODIndex number [类型][xint32]指定LOD索引，默认为0
---@return BoneNameAndOBB[] [类型][constXArray<BoneNameAndOBB>]获取到的指定LOD的所有骨头名称和OBB信息数组
function XSkinData:GetBoneNamesAndOBBs(nLODIndex) end


---@public 重新计算Skindata，以及RendeMesh的AABB
---@return void
function XSkinData:UpdateInitAABB() end


