---@class XHitMeshInfo
XHitMeshInfo = {}


---@type string
XHitMeshInfo.strHitBoneName = ''


---@type string
XHitMeshInfo.strHitSkinName = ''


---@type string
XHitMeshInfo.strHitMeshName = ''


---@type IXMaterialInstance
XHitMeshInfo.pMeshMtlIns = {}


---@public XHitMeshInfo_new00
---@return XHitMeshInfo
function XHitMeshInfo:new() end


---@class XRAYTRACERT
XRAYTRACERT = {}


---@public XRAYTRACERT_new00
---@return XRAYTRACERT
function XRAYTRACERT:new() end


---@type XVECTOR3
XRAYTRACERT.vPoint = {}


---@type XVECTOR3
XRAYTRACERT.vHitPos = {}


---@type XVECTOR3
XRAYTRACERT.vNormal = {}


---@type XVECTOR3
XRAYTRACERT.vTangent = {}


---@type XVECTOR3
XRAYTRACERT.vBinormal = {}


---@type number
XRAYTRACERT.fFraction = 0


---@type XHitMeshInfo
XRAYTRACERT.hitMesh = {}


---@type userdata
XRAYTRACERT.pCustomData = {}


---@class XOutputVertexTransform
XOutputVertexTransform = {}


---@public XOutputVertexTransform_new00
---@return XOutputVertexTransform
function XOutputVertexTransform:new() end


---@public XOutputVertexTransform_new01
---@param otherPosition XVECTOR3
---@param otherTangentZ XVECTOR3
---@param otherTangentX XVECTOR3
---@return XOutputVertexTransform
function XOutputVertexTransform:new(otherPosition, otherTangentZ, otherTangentX) end


---@type XVECTOR3
XOutputVertexTransform.Position = {}


---@type XVECTOR3
XOutputVertexTransform.TangentZ = {}


---@type XVECTOR3
XOutputVertexTransform.TangentX = {}


---@class XSubviewParamDesc
XSubviewParamDesc = {}


---@type boolean
XSubviewParamDesc.bEnableSubview = false


---@type string
XSubviewParamDesc.strRTName = ''


---@type boolean
XSubviewParamDesc.bRTCpuReadable = false


---@type number
XSubviewParamDesc.uRTWidth = 0


---@type number
XSubviewParamDesc.uRTHeight = 0


---@type boolean
XSubviewParamDesc.bClearColor = false


---@type number
XSubviewParamDesc.clearColor = 0


---@type boolean
XSubviewParamDesc.bRenderingSubviewForUI = false


---@type boolean
XSubviewParamDesc.bWriteAlphaWithOne = false


---@class MeshToBeCombined
MeshToBeCombined = {}


---@public MeshToBeCombined_new00
---@return MeshToBeCombined
function MeshToBeCombined:new() end


---@type string
MeshToBeCombined.strSkinName = ''


---@type string
MeshToBeCombined.strMeshName = ''


---@class IXModelInstance : XBaseCoordSpace
IXModelInstance = {}


---@public IXModelInstance_new00
---@return IXModelInstance
function IXModelInstance:new() end


---@public 释放模型实例资源
---@return void
function IXModelInstance:Release() end


---@public IXModelInstance_RayTraceToAABB00
---@param vStart XVECTOR3
---@param vDelta XVECTOR3
---@return number
---@return boolean
function IXModelInstance:RayTraceToAABB(vStart, vDelta) end


---@public IXModelInstance_RayTraceToMesh00
---@param vStart XVECTOR3
---@param vDelta XVECTOR3
---@param bForceTwoSided boolean
---@return XRAYTRACERT
---@return boolean
function IXModelInstance:RayTraceToMesh(vStart, vDelta, bForceTwoSided) end


---@public 设置是否隐藏模型
---@param bHide boolean 是否隐藏模型
---@return void
function IXModelInstance:Hide(bHide) end


---@public 判断模型是否隐藏
---@return boolean 模型是否隐藏，如果是隐藏状态，返回xtrue.
function IXModelInstance:IsHidden() end


---@public 设置某个特定名称的mesh隐藏或显示，不区分Skin
---@param szMeshName string
---@param bHide boolean 是否隐藏模型
---@return void
function IXModelInstance:SetMeshHide(szMeshName, bHide) end


---@public 某个特定名称的mesh是否显示，不区分Skin
---@param szMeshName string
---@return boolean mesh是否隐藏
function IXModelInstance:IsMeshHide(szMeshName) end


---@public 获取模型模板
---@return  XModel 模型模板
function IXModelInstance:GetSkinModel() end


---@public 获取模型模板
---@return XModel 模型模板
function IXModelInstance:GetSkinModel() end


---@public 获取模型骨架对象
---@return XSkeleton 模型骨架对象
function IXModelInstance:GetSkeleton() end


---@public 获取模型骨架对象
---@return  XSkeleton 模型骨架对象
function IXModelInstance:GetSkeleton() end


---@public IXModelInstance_GetBoneOBB00
---@return XCusOBB[]
---@return void
function IXModelInstance:GetBoneOBB() end


---@public 获取模型对应的类型
---@return number 模型对应的类型
function IXModelInstance:GetSkinModelType() end


---@public IXModelInstance_GetBoneAABB00
---@param szBoneName string
---@return XCusAABB
---@return boolean
function IXModelInstance:GetBoneAABB(szBoneName) end


---@public 更新模型实例的Skin信息和Mesh信息
---@return void
function IXModelInstance:UpdateSkinInfoAndMeshInfo() end


---@public 更换模型实例的骨架
---@return void
function IXModelInstance:ChangeSkeleton() end


---@public 更新模型实例的骨架矩阵信息
---@param bClearPreMatrix boolean 是否清除上一帧的矩阵信息
---@return void
function IXModelInstance:UpdateBlendMatrix(bClearPreMatrix) end


---@public 获取模型实例指定Mesh的骨架矩阵信息
---@param nSkinIndex number Skin索引
---@param nLODIndex number LOD索引
---@param nMeshIndex number Mesh索引
---@return XVECTOR4[] 骨架矩阵（类型XArray<XVECTOR4>）
function IXModelInstance:GetBlendMatrix(nSkinIndex, nLODIndex, nMeshIndex) end


---@public 更新模型实例的融合矩阵和AABB包围盒
---@return void
function IXModelInstance:UpdateBlendMatrixAndAABB() end


---@public 设置模型指定Skin使用的当前LOD
---@param szSkinName string Skin名称
---@param nLODIndex number LOD索引
---@return void
function IXModelInstance:SetSkinCurrentLOD(szSkinName, nLODIndex) end


---@public 更新当前模型实例
---@param nDeltaTime number 更新间隔
---@param bClearPreMatrix boolean 是否清除之前的矩阵信息
---@return void
function IXModelInstance:Tick(nDeltaTime, bClearPreMatrix) end


---@public 设置指定Mesh为布料Mesh
---@param szMeshName string 指定Mesh名称
---@param bIsCloth boolean 是否为布料Mesh
---@return void
function IXModelInstance:SetMeshAsCloth(szMeshName, bIsCloth) end


---@public 更新模型实例的AABB包围盒
---@return void
function IXModelInstance:TickAABB() end


---@public IXModelInstance_SetRawMeshMtlIns00
---@param szSkinName string
---@param szMeshName string
---@param szMtlIns string
---@param nLODIndex number
---@return void
function IXModelInstance:SetRawMeshMtlIns(szSkinName, szMeshName, szMtlIns, nLODIndex) end


---@public IXModelInstance_GetRawMeshMtlIns00
---@param szSkinName string
---@param szMeshName string
---@param nLODIndex number
---@return IXMaterialInstance
function IXModelInstance:GetRawMeshMtlIns(szSkinName, szMeshName, nLODIndex) end


