---@type number @enum XVertDescName
XVDN_STATIC = 0


---@type number @enum XVertDescName
XVDN_STATIC_MORPH = 0


---@type number @enum XVertDescName
XVDN_SKIN = 0


---@type number @enum XVertDescName
XVDN_SKIN_MORPH = 0


---@type number @enum XVertDescName
XVDN_IGNORE = 0


---@type number @enum XVertDescName
XVDN_NUM = 0


---@type number @enum XTexFormat
XTF_UNKNOWN = 0


---@type number @enum XTexFormat
XTF_R8G8B8 = 0


---@type number @enum XTexFormat
XTF_R8G8B8A8 = 0


---@type number @enum XTexFormat
XTF_PVRTC1_RGB_2BPP = 0


---@type number @enum XTexFormat
XTF_PVRTC1_RGBA_2BPP = 0


---@type number @enum XTexFormat
XTF_PVRTC1_RGB_4BPP = 0


---@type number @enum XTexFormat
XTF_PVRTC1_RGBA_4BPP = 0


---@type number @enum XTexFormat
XTF_LUMINANCE = 0


---@type number @enum XTexFormat
XTF_LUMINANCE_ALPHA = 0


---@type number @enum XTexFormat
XTF_DXT1 = 0


---@type number @enum XTexFormat
XTF_DXT3 = 0


---@type number @enum XTexFormat
XTF_DXT5 = 0


---@type number @enum XTexFormat
XTF_ETC1_RGB = 0


---@type number @enum XTexFormat
XTF_ETC1_RGBA = 0


---@type number @enum XTexFormat
XTF_ATC_RGB = 0


---@type number @enum XTexFormat
XTF_ATC_RGBA_EXPLICIT = 0


---@type number @enum XTexFormat
XTF_ATC_RGBA_INTERPOLATED = 0


---@type number @enum XTexFormat
ATF_COUNT = 0


---@class IXTexture
IXTexture = {}


---@public 获取顶点描述名
---@return string 顶点描述名
function IXTexture:GetName() end


---@public 获取纹理格式
---@return number 纹理格式
function IXTexture:Format() end


---@public 获取纹理映射数目
---@return number 纹理映射数目
function IXTexture:MipmapNum() end


---@public 判断是否是SRGB色彩空间
---@return boolean 是否是SRGB色彩空间
function IXTexture:IsSRGB() end


---@public 释放资源管理器
---@return void
function IXTexture:Release() end


---@class IXTexture2D : IXTexture
IXTexture2D = {}


---@public 获取纹理的宽
---@return number 纹理的宽
function IXTexture2D:Width() end


---@public 获取纹理的高
---@return number 纹理的高
function IXTexture2D:Height() end


---@class IXTextureCube : IXTexture
IXTextureCube = {}


---@class IXRenderTarget : IXTexture2D
IXRenderTarget = {}


---@manual 将顶点数据拷贝到DestBuf中
---@public IXRenderTarget_GetData_manual
---@param DataReadFinishFunc std::function<void(_userdata)>
---@return void viud
function IXRenderTarget:GetData(DataReadFinishFunc) end


