---@class XSkeleton
XSkeleton = {}


---@public 添加骨头
---@param pBone XBone 骨头对象
---@return number 骨头索引
function XSkeleton:AddBone(pBone) end


---@public XSkeleton_GetBone00
---@param szName string
---@return number
---@return XBone
function XSkeleton:GetBone(szName) end


---@public XSkeleton_GetBone01
---@param szNameHash number
---@return number
---@return XBone
function XSkeleton:GetBone(szNameHash) end


---@public 根据骨头索引获取骨头信息
---@param nIndex number 骨头索引
---@return XBone 骨头对象
function XSkeleton:GetBone(nIndex) end


---@public 获取骨头数目
---@return number 骨头数目
function XSkeleton:GetBoneNum() end


---@public 获取根骨头数目
---@return number 根骨头数目
function XSkeleton:GetRootBoneNum() end


---@public 获取根骨头
---@param n number 根骨头索引
---@return number 根骨头
function XSkeleton:GetRootBone(n) end


---@public XSkeleton_ResetBoneRelativeTM00
---@return void
function XSkeleton:ResetBoneRelativeTM() end


---@public 获取骨架文件名
---@return string 骨架文件名
function XSkeleton:GetFileName() end


