---@class FxModule : FxPropertyObject
FxModule = {}


---@public 设置是否启用
---@param bSet boolean 是否启用
---@return void
function FxModule:SetEnabled(bSet) end


---@public 判断是否启用
---@return boolean 是否启用
function FxModule:IsEnabled() end


---@public 获取模块类型
---@return number 模块类型
function FxModule:GetType() end


---@public 判断是否可以Spawn
---@return boolean 是否可以Spawn
function FxModule:CanSpawn() end


---@public 判断是否可以更新
---@return boolean 是否可以更新
function FxModule:CanUpdate() end


---@public 判断是否可以编辑
---@return boolean 是否可以编辑
function FxModule:CanEdit() end


