---时间间隔动作（ActionInterval）是一个在一段时间内执行的动作。 它有一个开始时间和完成时间。完成时间等于起始时间加上持续时间
---这些ActionInterval动作有一些有趣的特性,如:
---1 他们可以正常运行(默认)
---2 他们可以通过逆转方法逆转运行效果
---3 他们在运行时可以通过加速度（Accelerate），加速减速（AccelDeccel）和速度（Speed）等动作来修改它的运行时间轴。
---@class XUIActionInterval : XUIFiniteTimeAction
XUIActionInterval = {}


---@public 获取从动作开始运行已经过去了多长时间
---@return number 从动作开始运行已经过去了多长时间
function XUIActionInterval:GetElapsed() end


---@public XUIActionInterval_SetDuration00
---@param value number
---@return XUIActionInterval
function XUIActionInterval:SetDuration(value) end


---@public XUIActionInterval_SetEase00
---@param value number
---@return XUIActionInterval
function XUIActionInterval:SetEase(value) end


---@public XUIActionInterval_SetEasePeriod00
---@param value number
---@return XUIActionInterval
function XUIActionInterval:SetEasePeriod(value) end


---@public XUIActionInterval_SetEaseOvershootOrAmplitude00
---@param value number
---@return XUIActionInterval
function XUIActionInterval:SetEaseOvershootOrAmplitude(value) end


---@public XUIActionInterval_GetEaseType00
---@return number
function XUIActionInterval:GetEaseType() end


---@public XUIActionInterval_GetEaseOvershootOrAmplitude00
---@return number
function XUIActionInterval:GetEaseOvershootOrAmplitude() end


---@public XUIActionInterval_GetEasePeriod00
---@return number
function XUIActionInterval:GetEasePeriod() end


