---@class XUIComponent
XUIComponent = {}


---@public XUIComponent_Create00
---@param pNode XUINode
---@return XUIComponent
function XUIComponent:Create(pNode) end


---@public XUIComponent_Create01
---@return XUIComponent
function XUIComponent:Create() end


---@public 克隆动作
---@return XUIComponent
function XUIComponent:Clone() end


---@public 获取当前组件的类型，默认是UIComponent
---@return string
function XUIComponent:GetTypeName() end


---@public 组件是否有效
---@return boolean 返回是否有效。
function XUIComponent:IsEnabled() end


---@public XUIComponent_SetEnabled00
---@param enabled boolean
---@return void
function XUIComponent:SetEnabled(enabled) end


---@public 获取组件名称
---@return string 返回是否有效。
function XUIComponent:GetName() end


---@public XUIComponent_SetName00
---@param name string
---@return void
function XUIComponent:SetName(name) end


---@public 获取该组件控制的控件实例
---@return XUINode 返回控件实例。
function XUIComponent:GetOwner() end


---@public XUIComponent_SetOwner00
---@param owner XUINode
---@return void
function XUIComponent:SetOwner(owner) end


---@public XUIComponent_IsOnlyOnePerNode00
---@return boolean
function XUIComponent:IsOnlyOnePerNode() end


---@public XUIComponent_GetIndex00
---@return number
function XUIComponent:GetIndex() end


---@public XUIComponent_ChangeIndex00
---@param nNewIndex number
---@return boolean
function XUIComponent:ChangeIndex(nNewIndex) end


---@public XUIComponent_Visit00
---@param matParentTransform XMATRIX4
---@param updateTransformFlags number
---@return void
function XUIComponent:Visit(matParentTransform, updateTransformFlags) end


---@public XUIComponent_GetTypeID00
---@return number
function XUIComponent:GetTypeID() end


---@type string @readonly 
XUIComponent.COMPONENT_TYPENAME = ''


---@type number @readonly 
XUIComponent.COMPONENT_TYPEID = 0


