---ScaleBy动作通过修改scale属性让一个节点对象的缩放到特定比例，相对于当前大小
---@warning 包含的物理身体的节点不支持这一动作
---@class XUIScaleBy : XUIActionInterval
XUIScaleBy = {}


---@public 用持续时间和X和Y轴分别的缩放比例创建XUIScaleBy动作
---@param fDuration number 持续时间，以秒为单位
---@param v2Scale XVECTOR2 x分量代表X轴缩放比例，y分量代表y轴缩放比例
---@return XUIScaleBy 一个自释放的XUIScaleBy对象，如果创建失败则返回空指针
function XUIScaleBy:Create(fDuration, v2Scale) end


---@public 用持续时间和X和Y轴相同的缩放比例创建XUIScaleBy动作
---@param fDuration number 持续时间，以秒为单位
---@param fScale number X和Y轴的缩放比例
---@return XUIScaleBy 一个自释放的XUIScaleBy对象，如果创建失败则返回空指针
function XUIScaleBy:Create(fDuration, fScale) end


