---UI场景Actor
---@class XEUISceneActor : XEActor
XEUISceneActor = {}


---@public 加载UI资源
---@param pPath string 表示资源路径.
---@return boolean
function XEUISceneActor:LoadAsset(pPath) end


---@public 加载UI动画资源
---@param pPath string 表示资源路径.
---@return boolean
function XEUISceneActor:LoadAnimationAsset(pPath) end


---@public 获取UI场景指针
---@return XUIScene UI场景指针.
function XEUISceneActor:GetScene() end


---@public 获取UI动画实例指针
---@return XEUIAnimationInstance UI动画实例指针.
function XEUISceneActor:GetUIAnimationIns() end


---@public 获取UI动画资源地址
---@return string I动画资源地址.
function XEUISceneActor:GetAssetPath() end


---@type string @readonly Actor类型名
XEUISceneActor.ACTOR_TYPENAME = ''


