---画布上的2D矩形组件
---对应XECanvas2DRectangleActor。
---@class XE2DRectangleComponent : XEActorComponent
XE2DRectangleComponent = {}


---@public XE2DRectangleComponent_new00
---@return XE2DRectangleComponent
function XE2DRectangleComponent:new() end


---@public 绘制内容起始点x的相对比例
---@return number
function XE2DRectangleComponent:GetXRelative() end


---@public 绘制内容起始点y的相对比例
---@return number
function XE2DRectangleComponent:GetYRelative() end


---@public 绘制内容宽度的相对比例
---@return number
function XE2DRectangleComponent:GetWRelative() end


---@public 绘制内容高度的相对比例
---@return number
function XE2DRectangleComponent:GetHRelative() end


---@type number 矩形绘制起始点x
XE2DRectangleComponent.m_nX = 0


---@type number 矩形绘制起始点y
XE2DRectangleComponent.m_nY = 0


---@type number 矩形实际绘制的宽度
XE2DRectangleComponent.m_nWidth = 0


---@type number 矩形实际绘制的高度
XE2DRectangleComponent.m_nHeight = 0


---@type XCOLORBASE 矩形绘制颜色
XE2DRectangleComponent.m_clr = {}


---@type boolean 矩形绘制线型是否是实线
XE2DRectangleComponent.m_bSolid = false


---@type number 矩形绘制相对于的整个绘制区域的宽度
XE2DRectangleComponent.m_nRelativeWidth = 0


---@type number 矩形绘制相对于的整个绘制区域的高度
XE2DRectangleComponent.m_nRelativeHeight = 0


---@type string @readonly Component类型名
XE2DRectangleComponent.COMPONENT_TYPENAME = ''


