---过场动画组件
---对应过场动画Actor
---@class XESceneSequenceComponent : XEActorComponent
XESceneSequenceComponent = {}


---@public XESceneSequenceComponent_new00
---@return XESceneSequenceComponent
function XESceneSequenceComponent:new() end


---@manual xelua_XEngine_XESceneSequenceComponent_LoadAssetAsync_manual
---@public XESceneSequenceComponent_LoadAssetAsync_manual
---@param pPath string
---@param Delegate std::function<void( _cstring , XEActorComponent*, ResultType)>
---@return void
function XESceneSequenceComponent:LoadAssetAsync(pPath, Delegate) end


---@public 在下一帧播放[避免引擎时间间隔过长]
---@param bForcePlay boolean 是否强制播放，不考虑是否开启自动播放、是否在运行时世界
---@return boolean
function XESceneSequenceComponent:PendingPlay(bForcePlay) end


---@public 释放过场动画资源
---@return void
function XESceneSequenceComponent:Unload() end


---@public 替换过场动画中绑定的Actor
---@param szOldActorName string 被替换的旧的Actorname
---@param pNewActor XEActor 新的Actor
---@param szSpecificNodeName string 被替换的Actor节点名称，可为NULL
---@param szSpecificNodeType string 被替换的Actor节点类型
---@param bNodeTypeFuzzyFind boolean 是否启用模糊查询
---@return boolean
function XESceneSequenceComponent:ChangeBindingActor(szOldActorName, pNewActor, szSpecificNodeName, szSpecificNodeType, bNodeTypeFuzzyFind) end


---@public 获取过场动画实例
---@return XESequencerInstance
function XESceneSequenceComponent:GetSequenceInstance() end


---@public XESceneSequenceComponent_GetSequenceInstance01
---@return  XESequencerInstance
function XESceneSequenceComponent:GetSequenceInstance() end


---@public 获取过场动画资源路径
---@return string
function XESceneSequenceComponent:GetAssetPath() end


---@type string @readonly Component类型名
XESceneSequenceComponent.COMPONENT_TYPENAME = ''


