---动画混合根节点对应的实例类
---@class XEAnimBlendInstance : XEAnimBlendBaseInstance
XEAnimBlendInstance = {}


---@public XEAnimBlendInstance_new00
---@param pAnimBlend XEAnimBlend
---@return XEAnimBlendInstance
function XEAnimBlendInstance:new(pAnimBlend) end


---@public 设置与当前混合动画实例相关联的组件，并创建骨骼实例
---@param pComponent XEModelComponent 与其关联的组件指针
---@return boolean 返回是否成功
function XEAnimBlendInstance:AcceptSkinModel(pComponent) end


---@public 获取当前混合动画实例的模板指针
---@return XEAnimBlend
function XEAnimBlendInstance:GetAnimBlendTemplate() end


---@public 获取当前实例的混合动画播放器指针
---@return XEAnimBlendController
function XEAnimBlendInstance:GetAnimBlendController() end


---@public 返回与当前混合动画关联的组件指针
---@return XEModelComponent
function XEAnimBlendInstance:GetModelComponent() end


---@public 获取移动预览指针
---@return XEMovementAttacher
function XEAnimBlendInstance:GetMovementAttacher() end


---@public 设置当前混合动画所在的关卡
---@param pLevel XELevel
---@return void
function XEAnimBlendInstance:AcceptLevel(pLevel) end


---@public 获取当前混合动画所在的关卡
---@return XELevel
function XEAnimBlendInstance:GetLevel() end


---@public 获取当前混合动画所在的世界
---@return XEWorld
function XEAnimBlendInstance:GetWorld() end


