---Montage动画相关基类，从XETreeNode继承。封装一些Montage节点类的共用方法，如获取节点类型等。
---@class XEAnimMonBase : XEUserNode
XEAnimMonBase = {}


---@public XEAnimMonBase_new00
---@return XEAnimMonBase
function XEAnimMonBase:new() end


---@public 查找不合法的节点
---@param pUnsuggestedList XEAnimMonBase[] [out]不合法节点列表
---@return boolean 如果没找到不合法节点，返回true；如果找到不合法节点，返回false.
function XEAnimMonBase:Verify(pUnsuggestedList) end


---@public 获取Montage指针
---@return XEAnimMontage
function XEAnimMonBase:GetAnimMontage() end


---@public 是否开开启自动中断模式
---@return boolean
function XEAnimMonBase:IsInterruptEnable() end


---@public 设置中断开启*
---@param bEnable boolean
---@return void
function XEAnimMonBase:SetInterruptEnable(bEnable) end


