---Montage的声音通知类
---@class XEAnimMonNotifySound : XEAnimMonNotify
XEAnimMonNotifySound = {}


---@public XEAnimMonNotifySound_new00
---@return XEAnimMonNotifySound
function XEAnimMonNotifySound:new() end


---@public 判断是否是出生模式，如果为true，每次会重新生成一个声音效果
---@return boolean
function XEAnimMonNotifySound:IsSpawnMode() end


---@public 判断是否立即销毁，如果为true，声音效果通知实例释放的时候，也会立即释放声音租金高；否则，会延迟释放
---@return boolean
function XEAnimMonNotifySound:IsDestroyImmediately() end


---@public 获取到声音相对于绑定的插槽的变换矩阵
---@return XETransform
function XEAnimMonNotifySound:GetRelativeTransform() end


---@public 获取声音资源的路径
---@return string
function XEAnimMonNotifySound:GetSoundAssetPath() end


---@public 设置声音资源的路径
---@param szPath string
---@return void
function XEAnimMonNotifySound:SetSoundAssetPath(szPath) end


---@public 设置是否立即销毁
---@param bSet boolean
---@return void
function XEAnimMonNotifySound:SetDestroyImmediately(bSet) end


---@public 设置是否是出生模式
---@param bSpawnMode boolean
---@return void
function XEAnimMonNotifySound:SetSpawnMode(bSpawnMode) end


---@public 将声音效果绑定到某个插槽上
---@param socketName string 声音绑定的插槽名称
---@return boolean 是否绑定成功
function XEAnimMonNotifySound:BindXESocket(socketName) end


---@public 获取声音效果绑定的插槽指针
---@return XEBindSocket
function XEAnimMonNotifySound:GetBindSocket() end


---@public XEAnimMonNotifySound_GetBindSocket01
---@return  XEBindSocket
function XEAnimMonNotifySound:GetBindSocket() end


---@public 获取声音效果绑定的插槽名称
---@return string
function XEAnimMonNotifySound:GetBindSocketName() end


---@public 将声音效果与插槽解绑
---@return void
function XEAnimMonNotifySound:UnbindXESocket() end


