---@class XETexCustomPrimitive : XETexMaterialRenderable
XETexCustomPrimitive = {}


---@type number @enum ETexcoordOrigin
XETexCustomPrimitive.TO_LEFT_TOP = 0


---@type number @enum ETexcoordOrigin
XETexCustomPrimitive.TO_LEFT_BOTTOM = 0


---@type number @enum ETexcoordOrigin
XETexCustomPrimitive.TO_RIGHT_TOP = 0


---@type number @enum ETexcoordOrigin
XETexCustomPrimitive.TO_RIGHT_BOTTOM = 0


---@type number @enum EPivotVerticalType
XETexCustomPrimitive.EPVT_CENTER = 0


---@type number @enum EPivotVerticalType
XETexCustomPrimitive.EPVT_BOTTOM = 0


---@type number @enum eCullMode
XETexCustomPrimitive.CM_UNKNOWN = 0


---@type number @enum eCullMode
XETexCustomPrimitive.CM_OFF = 0


---@type number @enum eCullMode
XETexCustomPrimitive.CM_BACK = 0


---@type number @enum eCullMode
XETexCustomPrimitive.CM_FRONT = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_ALPHA_BLEND = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_NORMAL_BLEND = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_OVER_LAY = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_MULTIPLY = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_DARKEN = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_LIGHTEN = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_COLOR_BURN = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_COLOR_DODGE = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_LINEAR_BURN = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_SCREEN = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_HARD_LIGHT = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_SOFT_LIGHT = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_VIVID_LIGHT = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_HUE = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_SATURATION = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_LUMINOSITY = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_COLOR = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_EXCLUSION = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_DIFFERENCE = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_ADD = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_SUBTRACT = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_DIVIDE = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_LINEAR_LIGHT = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_PIN_LIGHT = 0


---@type number @enum eCompositingMode
XETexCustomPrimitive.CM_COUNT = 0


---@public XETexCustomPrimitive_GetPivotVerticalType00
---@return number
function XETexCustomPrimitive:GetPivotVerticalType() end


---@public XETexCustomPrimitive_GetTexcoordOrigin00
---@return number
function XETexCustomPrimitive:GetTexcoordOrigin() end


---@public XETexCustomPrimitive_SetPivotVerticalType00
---@param ePvt number
---@return void
function XETexCustomPrimitive:SetPivotVerticalType(ePvt) end


---@public XETexCustomPrimitive_SetTexcoordOrigin00
---@param eTexOrigin number
---@return void
function XETexCustomPrimitive:SetTexcoordOrigin(eTexOrigin) end


---@public XETexCustomPrimitive_GetCullMode00
---@return number
function XETexCustomPrimitive:GetCullMode() end


---@public XETexCustomPrimitive_SetCullMode00
---@param cm number
---@return void
function XETexCustomPrimitive:SetCullMode(cm) end


---@public XETexCustomPrimitive_GetCompositingMode00
---@return number
function XETexCustomPrimitive:GetCompositingMode() end


---@public XETexCustomPrimitive_SetCompositingMode00
---@param cm number
---@return void
function XETexCustomPrimitive:SetCompositingMode(cm) end


---@public XETexCustomPrimitive_GetZDelta00
---@return number
function XETexCustomPrimitive:GetZDelta() end


---@public XETexCustomPrimitive_SetZDelta00
---@param fDelta number
---@return void
function XETexCustomPrimitive:SetZDelta(fDelta) end


---@public XETexCustomPrimitive_ApplyCullModeAndCompositingMode00
---@return void
function XETexCustomPrimitive:ApplyCullModeAndCompositingMode() end


---@public XETexCustomPrimitive_RebuildVertexBuffer00
---@return void
function XETexCustomPrimitive:RebuildVertexBuffer() end


---@public XETexCustomPrimitive_UpdateVertexBuffer00
---@return void
function XETexCustomPrimitive:UpdateVertexBuffer() end


---@public XETexCustomPrimitive_SetFromRectVertex00
---@param arrVertWorldPos XVECTOR3[]
---@return boolean
function XETexCustomPrimitive:SetFromRectVertex(arrVertWorldPos) end


---@public XETexCustomPrimitive_Empty00
---@return void
function XETexCustomPrimitive:Empty() end


---@public XETexCustomPrimitive_GetRectVertexLength00
---@return XVECTOR2
function XETexCustomPrimitive:GetRectVertexLength() end


---@public XETexCustomPrimitive_GetRectVertices00
---@return XVECTOR3[]
function XETexCustomPrimitive:GetRectVertices() end


