---@class XETexMaterialRenderable
XETexMaterialRenderable = {}


---@public XETexMaterialRenderable_BuildMaterialIns00
---@param szMaterialFile string
---@param szReplaceShaderMacro string
---@return boolean
function XETexMaterialRenderable:BuildMaterialIns(szMaterialFile, szReplaceShaderMacro) end


---@public XETexMaterialRenderable_SetMacroEnable00
---@param szShaderMacro string
---@param bEnable boolean
---@return boolean
function XETexMaterialRenderable:SetMacroEnable(szShaderMacro, bEnable) end


---@public XETexMaterialRenderable_IsMacroEnable00
---@param szShaderMacro string
---@return boolean
function XETexMaterialRenderable:IsMacroEnable(szShaderMacro) end


---@type number @enum eWVPType
XETexMaterialRenderable.WVP_FIXED = 0


---@type number @enum eWVPType
XETexMaterialRenderable.WVP_CAMERA = 0


---@type number @enum eWVPType
XETexMaterialRenderable.WVP_CUSTOM = 0


---@public XETexMaterialRenderable_SetWVPType00
---@param type number
---@return void
function XETexMaterialRenderable:SetWVPType(type) end


---@public XETexMaterialRenderable_GetWVPType00
---@return number
function XETexMaterialRenderable:GetWVPType() end


