---@class XEMaterialFx : XEUserNode
XEMaterialFx = {}


---@public XEMaterialFx_new00
---@return XEMaterialFx
function XEMaterialFx:new() end


---@type number @enum MaterialFxHolderType hook for the material instance, at any used.
XEMaterialFx.MAT_HT_MATERIAL_INSTANCE = 0


---@public 初始化
---@param strAssetPath string
---@return void
function XEMaterialFx:Initialize(strAssetPath) end


---@public 获取资源路径
---@return string
function XEMaterialFx:GetAssetPath() end


---@public 设置是否有修改
---@param bSet boolean
---@return void
function XEMaterialFx:SetModified(bSet) end


---@public 判断是否有修改
---@return boolean
function XEMaterialFx:IsModified() end


---@public 判断是否自动运行
---@return boolean
function XEMaterialFx:IsAutoRun() end


---@public 设置是否自动运行
---@param bAuto boolean
---@return void
function XEMaterialFx:SetAutoRun(bAuto) end


---@public 更新资源路径
---@param strPath string
---@return void
function XEMaterialFx:UpdateAssetPath(strPath) end


---@public 根据指定材质参数名称，获取对应的绑定节点
---@param strMaterailParamName string
---@return XEMatFxDistributionParameter
function XEMaterialFx:GetMaterialFxParamNodeForParamName(strMaterailParamName) end


