---@class XEAnimSocketMounterInstance : XEUserNodeInstance
XEAnimSocketMounterInstance = {}


---@public XEAnimSocketMounterInstance_new00
---@param pNodeTl XEAnimSocketMounter
---@return XEAnimSocketMounterInstance
function XEAnimSocketMounterInstance:new(pNodeTl) end


---@public 绑定模型组件
---@param pComponentFromWorld XEModelComponent 模型组件指针
---@return boolean 是否绑定成功
function XEAnimSocketMounterInstance:AcceptSkinModel(pComponentFromWorld) end


---@public 绑定socket实例，如果szSocketInsNameToBind为NULL，则绑定所有
---@param szSocketInsNameToBind string
---@return void
function XEAnimSocketMounterInstance:BindXESocketsIns(szSocketInsNameToBind) end


---@public 解绑socket实例，如果szSocketInsNameToUnBind为NULL,则解除 绑定所有
---@param szSocketInsNameToUnBind string
---@return void
function XEAnimSocketMounterInstance:UnbindXESocketsIns(szSocketInsNameToUnBind) end


---@public 获取绑定的socket实例列表
---@return XEBindSocketInstance[]
---@return void
function XEAnimSocketMounterInstance:GetBindXESocketIns() end


---@public 在拥有listener中获取第一个插槽
---@return XEBindSocketInstance 插槽实例指针
function XEAnimSocketMounterInstance:GetFirstSocketInsWithAnyListener() end


---@public 获取挂点的节点模板类
---@return XEAnimSocketMounter 挂点的节点模板类
function XEAnimSocketMounterInstance:GetSocketMounterTemplate() end


---@public 获取绑定的模型组件指针
---@return XEModelComponent 模型组件指针
function XEAnimSocketMounterInstance:GetSkinModelComponent() end


---@public 设置挂载物体在指定子视图中渲染, 同时将挂载物体作一次subview迁移操作
---@param szSubviewName string
---@param bMoveInRenderView boolean
---@return void
function XEAnimSocketMounterInstance:SetRenderInSubview(szSubviewName, bMoveInRenderView) end


---@public 是否在子视图中渲染
---@return boolean
function XEAnimSocketMounterInstance:IsRenderInSubview() end


---@public 获取所有关联子视图名称
---@return string[]
function XEAnimSocketMounterInstance:GetSubviewNames() end


