---@class X2DDistanceJointComponent : X2DJointComponent
X2DDistanceJointComponent = {}


---@public 创建一个X2DDistanceJointComponent碰撞组件
---@param pNode XUINode 目标节点
---@return X2DDistanceJointComponent 创建出的X2DDistanceJointComponent组件
function X2DDistanceJointComponent:Create(pNode) end


---@public 关节两端的距离
---@param xelua_var_37 number
---@return X2DDistanceJointComponent
function X2DDistanceJointComponent:SetDistance(xelua_var_37) end


---@public 弹性的频率
---@param xelua_var_38 number
---@return X2DDistanceJointComponent
function X2DDistanceJointComponent:SetFrequency(xelua_var_38) end


---@public 弹性的阻尼率,表示关节变形后，恢复到初始状态受到的阻力
---@param xelua_var_39 number
---@return X2DDistanceJointComponent
function X2DDistanceJointComponent:SetDampingRatio(xelua_var_39) end


---@public X2DDistanceJointComponent_GetDistance00
---@return number
function X2DDistanceJointComponent:GetDistance() end


---@public X2DDistanceJointComponent_GetFrequency00
---@return number
function X2DDistanceJointComponent:GetFrequency() end


---@public X2DDistanceJointComponent_GetDampingRatio00
---@return number
function X2DDistanceJointComponent:GetDampingRatio() end


---@type string @readonly 
X2DDistanceJointComponent.COMPONENT_TYPENAME = ''


