---@class X2DPhysicalColliderComponent : XUIComponent
X2DPhysicalColliderComponent = {}


---@public 创建一个X2DPhysicalColliderComponent碰撞组件
---@param pNode XUINode 目标节点
---@return X2DPhysicalColliderComponent 创建出的X2DPhysicalColliderComponent组件
function X2DPhysicalColliderComponent:Create(pNode) end


---@public 设置/获取密度
---@param fDentity number
---@return X2DPhysicalColliderComponent
function X2DPhysicalColliderComponent:SetDensity(fDentity) end


---@public X2DPhysicalColliderComponent_GetDensity00
---@return number
function X2DPhysicalColliderComponent:GetDensity() end


---@public 设置/获取传感器
---一个传感器类型的碰撞体会产生碰撞回调，但是不会发生物理碰撞效果
---@param bSensor boolean
---@return X2DPhysicalColliderComponent
function X2DPhysicalColliderComponent:SetSensor(bSensor) end


---@public X2DPhysicalColliderComponent_IsSensor00
---@return boolean
function X2DPhysicalColliderComponent:IsSensor() end


---@public 设置/获取摩擦系数
---摩擦系数，取值一般在 [0, 1] 之间
---@param fFriction number
---@return X2DPhysicalColliderComponent
function X2DPhysicalColliderComponent:SetFriction(fFriction) end


---@public X2DPhysicalColliderComponent_GetFriction00
---@return number
function X2DPhysicalColliderComponent:GetFriction() end


---@public 设置/获取弹性系数
---弹性系数，取值一般在 [0, 1] 之间
---@param fRestitution number
---@return X2DPhysicalColliderComponent
function X2DPhysicalColliderComponent:SetRestitution(fRestitution) end


---@public X2DPhysicalColliderComponent_GetRestitution00
---@return number
function X2DPhysicalColliderComponent:GetRestitution() end


---@public X2DPhysicalColliderComponent_Apply00
---@return void
function X2DPhysicalColliderComponent:Apply() end


---@type string @readonly 
X2DPhysicalColliderComponent.COMPONENT_TYPENAME = ''


---@type number @readonly 
X2DPhysicalColliderComponent.COMPONENT_TYPEID = 0


