---@class X2DRevoluteJointComponent : X2DJointComponent
X2DRevoluteJointComponent = {}


---@public 创建一个X2DRevoluteJointComponent碰撞组件
---@param pNode XUINode 目标节点
---@return X2DRevoluteJointComponent 创建出的X2DRevoluteJointComponent组件
function X2DRevoluteJointComponent:Create(pNode) end


---@public A与B的相对角度
---@param xelua_var_53 number
---@return X2DRevoluteJointComponent
function X2DRevoluteJointComponent:SetReferenceAngle(xelua_var_53) end


---@public 角度的最低限制。
---@param xelua_var_54 number
---@return X2DRevoluteJointComponent
function X2DRevoluteJointComponent:SetLowerAngle(xelua_var_54) end


---@public 角度的最高限制。
---@param xelua_var_55 number
---@return X2DRevoluteJointComponent
function X2DRevoluteJointComponent:SetUpperAngle(xelua_var_55) end


---@public 期望的马达速度。
---@param xelua_var_56 number
---@return X2DRevoluteJointComponent
function X2DRevoluteJointComponent:SetMotorSpeed(xelua_var_56) end


---@public 可以施加到刚体的最大扭矩。
---@param xelua_var_57 number
---@return X2DRevoluteJointComponent
function X2DRevoluteJointComponent:SetMaxMotorTorque(xelua_var_57) end


---@public 是否开启限制
---@param xelua_var_58 boolean
---@return X2DRevoluteJointComponent
function X2DRevoluteJointComponent:EnableLimit(xelua_var_58) end


---@public 开启关节马达（线速度
---@param xelua_var_59 boolean
---@return X2DRevoluteJointComponent
function X2DRevoluteJointComponent:EnableMotor(xelua_var_59) end


---@public A与B的相对角度
---@return number
function X2DRevoluteJointComponent:GetReferenceAngle() end


---@public 最小移动距离限制
---@return number
function X2DRevoluteJointComponent:GetLowerAngle() end


---@public 最大移动距离限制
---@return number
function X2DRevoluteJointComponent:GetUpperAngle() end


---@public 期望的马达速度。
---@return number
function X2DRevoluteJointComponent:GetMotorSpeed() end


---@public 可以施加到刚体的最大力。
---@return number
function X2DRevoluteJointComponent:GetMaxMotorTorque() end


---@public 是否开启限制
---@return boolean
function X2DRevoluteJointComponent:IsEnableLimit() end


---@public 开启关节马达（线速度
---@return boolean
function X2DRevoluteJointComponent:IsEnableMotor() end


---@type string @readonly 
X2DRevoluteJointComponent.COMPONENT_TYPENAME = ''


