---@class X2DWeldJointComponent : X2DJointComponent
X2DWeldJointComponent = {}


---@public 创建一个X2DWeldJointComponent碰撞组件
---@param pNode XUINode 目标节点
---@return X2DWeldJointComponent 创建出的X2DWeldJointComponent组件
function X2DWeldJointComponent:Create(pNode) end


---@public A与B的相对角度
---@param xelua_var_61 number
---@return X2DWeldJointComponent
function X2DWeldJointComponent:SetReferenceAngle(xelua_var_61) end


---@public 频率。
---@param xelua_var_62 number
---@return X2DWeldJointComponent
function X2DWeldJointComponent:SetFrequencyHz(xelua_var_62) end


---@public 阻尼，表示关节变形后，恢复到初始状态受到的阻力。
---@param xelua_var_63 number
---@return X2DWeldJointComponent
function X2DWeldJointComponent:SetDampingRatio(xelua_var_63) end


---@public X2DWeldJointComponent_GetReferenceAngle00
---@return number
function X2DWeldJointComponent:GetReferenceAngle() end


---@public X2DWeldJointComponent_GetFrequencyHz00
---@return number
function X2DWeldJointComponent:GetFrequencyHz() end


---@public X2DWeldJointComponent_GetDampingRatio00
---@return number
function X2DWeldJointComponent:GetDampingRatio() end


---@type string @readonly 
X2DWeldJointComponent.COMPONENT_TYPENAME = ''


