---@class X2DWheelJointComponent : X2DJointComponent
X2DWheelJointComponent = {}


---@public 创建一个X2DWheelJointComponent碰撞组件
---@param pNode XUINode 目标节点
---@return X2DWheelJointComponent 创建出的X2DWheelJointComponent组件
function X2DWheelJointComponent:Create(pNode) end


---@public 移动轴向
---@param xelua_var_64 XVECTOR2
---@return X2DWheelJointComponent
function X2DWheelJointComponent:SetLocalAxisA(xelua_var_64) end


---@public 移动轴向
---@return XVECTOR2
function X2DWheelJointComponent:GetLocalAxisA() end


---@public 期望的马达速度。
---@param xelua_var_65 number
---@return X2DWheelJointComponent
function X2DWheelJointComponent:SetMotorSpeed(xelua_var_65) end


---@public 可以施加到刚体的最大扭矩。
---@param xelua_var_66 number
---@return X2DWheelJointComponent
function X2DWheelJointComponent:SetMaxMotorTorque(xelua_var_66) end


---@public 开启关节马达（线速度
---@param xelua_var_67 boolean
---@return X2DWheelJointComponent
function X2DWheelJointComponent:EnableMotor(xelua_var_67) end


---@public 频率。
---@param xelua_var_68 number
---@return X2DWheelJointComponent
function X2DWheelJointComponent:SetFrequencyHz(xelua_var_68) end


---@public 阻尼，表示关节变形后，恢复到初始状态受到的阻力。
---@param xelua_var_69 number
---@return X2DWheelJointComponent
function X2DWheelJointComponent:SetDampingRatio(xelua_var_69) end


---@public 期望的马达速度。
---@return number
function X2DWheelJointComponent:GetMotorSpeed() end


---@public 可以施加到刚体的最大力。
---@return number
function X2DWheelJointComponent:GetMaxMotorTorque() end


---@public 开启关节马达（线速度
---@return boolean
function X2DWheelJointComponent:IsEnableMotor() end


---@public X2DWheelJointComponent_GetFrequencyHz00
---@return number
function X2DWheelJointComponent:GetFrequencyHz() end


---@public X2DWheelJointComponent_GetDampingRatio00
---@return number
function X2DWheelJointComponent:GetDampingRatio() end


---@type string @readonly 
X2DWheelJointComponent.COMPONENT_TYPENAME = ''


