---@class XETriggerData
XETriggerData = {}


---@type number @readonly The state when event is executing, eg. overlap begin/stay/end.
XETriggerData.nTriggerState = 0


---@type number @readonly specific event type
XETriggerData.eEventType = 0


---@type XEVariant @readonly the data that event needs.
XETriggerData.eventData = {}


---@type string @readonly sender actor name, may be empty according to specific event.
XETriggerData.strSender = ''


---@type string @readonly executor actor name, may be empty according to specific event.
XETriggerData.strExecutable = ''


---@type number @readonly delay time in ms.
XETriggerData.fDelayTime = 0


---@type boolean @readonly 
XETriggerData.bFirstExec = false


---@type boolean @readonly can repeat trigger or not.
XETriggerData.bTriggerRepeat = false


---@type number @readonly 
XETriggerData.nAddIndex = 0


---@type number @enum TriggerState
Triger_None = 0


---@type number @enum TriggerState
Triger_Overlap_Begin = 0


---@type number @enum TriggerState
Trigger_Overlap_Stay = 0


---@type number @enum TriggerState
Trigger_Overlap_End = 0


---@type number @enum TriggerOverlapCheckType
TriggerOverlapCheck_AABB = 0


---@type number @enum TriggerOverlapCheckType
TriggerOverlapCheck_Pos = 0


