---@class XEImg2DScreenSequenceFrameComponent : XEImgSequenceFrameComponent
XEImg2DScreenSequenceFrameComponent = {}


---@public XEImg2DScreenSequenceFrameComponent_GetTypeName00
---@return string
function XEImg2DScreenSequenceFrameComponent:GetTypeName() end


---@type string @readonly 
XEImg2DScreenSequenceFrameComponent.COMPONENT_TYPENAME = ''


---@public XEImg2DScreenSequenceFrameComponent_new00
---@return XEImg2DScreenSequenceFrameComponent
function XEImg2DScreenSequenceFrameComponent:new() end


---@type number @enum EHorizontalAlignmentType
XEImg2DScreenSequenceFrameComponent.EHAT_NONE = 0


---@type number @enum EHorizontalAlignmentType
XEImg2DScreenSequenceFrameComponent.EHAT_LEFT = 0


---@type number @enum EHorizontalAlignmentType
XEImg2DScreenSequenceFrameComponent.EHAT_CENTER = 0


---@type number @enum EHorizontalAlignmentType
XEImg2DScreenSequenceFrameComponent.EHAT_RIGHT = 0


---@type number @enum EHorizontalAlignmentType
XEImg2DScreenSequenceFrameComponent.EHAT_NUM = 0


---@type number @enum EVerticalAlignmentType
XEImg2DScreenSequenceFrameComponent.EVAT_NONE = 0


---@type number @enum EVerticalAlignmentType
XEImg2DScreenSequenceFrameComponent.EVAT_TOP = 0


---@type number @enum EVerticalAlignmentType
XEImg2DScreenSequenceFrameComponent.EVAT_CENTER = 0


---@type number @enum EVerticalAlignmentType
XEImg2DScreenSequenceFrameComponent.EVAT_BOTTOM = 0


---@type number @enum EVerticalAlignmentType
XEImg2DScreenSequenceFrameComponent.EVAT_NUM = 0


---@type number @enum EPinningType
XEImg2DScreenSequenceFrameComponent.EPT_NONE = 0


---@type number @enum EPinningType
XEImg2DScreenSequenceFrameComponent.EPT_LEFT = 0


---@type number @enum EPinningType
XEImg2DScreenSequenceFrameComponent.EPT_RIGHT = 0


---@type number @enum EPinningType
XEImg2DScreenSequenceFrameComponent.EPT_TOP = 0


---@type number @enum EPinningType
XEImg2DScreenSequenceFrameComponent.EPT_BOTTOM = 0


---@type number @enum EPinningType
XEImg2DScreenSequenceFrameComponent.EPT_NUM = 0


---@public 设置横向对齐类型
---@param eType number
---@return void
function XEImg2DScreenSequenceFrameComponent:SetHorizontalAlignmentType(eType) end


---@public 设置纵向对齐类型
---@param eType number
---@return void
function XEImg2DScreenSequenceFrameComponent:SetVerticalAlignmentType(eType) end


---@public 按照屏幕尺寸拉伸当前序列帧的尺寸
---@return void
function XEImg2DScreenSequenceFrameComponent:StrechToParent() end


---@public 设置pinning类型
---@param eType number
---@return void
function XEImg2DScreenSequenceFrameComponent:SetPinningType(eType) end


---@public 获取pinning类型
---@return number
function XEImg2DScreenSequenceFrameComponent:GetPinningType() end


---@public 是否固定到左边界的距离
---@return boolean
function XEImg2DScreenSequenceFrameComponent:IsPinningLeft() end


---@public 是否固定到右边界的距离
---@return boolean
function XEImg2DScreenSequenceFrameComponent:IsPinningRight() end


---@public 是否固定到上边界的距离
---@return boolean
function XEImg2DScreenSequenceFrameComponent:IsPinningTop() end


---@public 是否固定到下边界的距离
---@return boolean
function XEImg2DScreenSequenceFrameComponent:IsPinningBottom() end


---@public 获取到左边界的距离
---@return number
function XEImg2DScreenSequenceFrameComponent:GetDisToLeftEdge() end


---@public 获取到右边界的距离
---@return number
function XEImg2DScreenSequenceFrameComponent:GetDisToRightEdge() end


---@public 获取到上边界的距离
---@return number
function XEImg2DScreenSequenceFrameComponent:GetDisToTopEdge() end


---@public 获取到下边界的距离
---@return number
function XEImg2DScreenSequenceFrameComponent:GetDisToBottomEdge() end


