---魔术滤镜节点组件，在引擎的渲染流程内进行滤镜效果应用
---对应XEImgMagicFilterActor
---@class XEImgMagicFilterComponent : XEActorComponent
XEImgMagicFilterComponent = {}


---@public 使滤镜节点生效
---@return void
function XEImgMagicFilterComponent:TakeEffectForFilterNode() end


---@public 设置自定义材质路径, 是否立即应用
---@param pAssetPath string
---@param bApply boolean
---@return void
function XEImgMagicFilterComponent:SetMaterialAssetPath(pAssetPath, bApply) end


---@public 获取材质路径
---@return string
function XEImgMagicFilterComponent:GetMaterialAssetPath() end


---@public 获取滤镜节点注入器
---@return XEFilterUnitInjector
function XEImgMagicFilterComponent:GetFilterUnitInjector() end


---@public 设置背景是否拷贝并渲染
---@param bEnable boolean
---@return void
function XEImgMagicFilterComponent:SetCopyBackgroundForRendering(bEnable) end


---@public 背景是否作为拷贝渲染
---@return boolean
function XEImgMagicFilterComponent:IsCopyBackgroundForRendering() end


---@type string @readonly Component 类型名
XEImgMagicFilterComponent.COMPONENT_TYPENAME = ''


