---@class XEMagicTrackingBaseInstance : XEUserNodeInstance
XEMagicTrackingBaseInstance = {}


---@public XEMagicTrackingBaseInstance_new00
---@param pComponent XEActorComponent
---@return XEMagicTrackingBaseInstance
function XEMagicTrackingBaseInstance:new(pComponent) end


---@public XEMagicTrackingBaseInstance_GetTypeName00
---@return string
function XEMagicTrackingBaseInstance:GetTypeName() end


---@type string @readonly 
XEMagicTrackingBaseInstance.NODE_TYPENAME = ''


---@public XEMagicTrackingBaseInstance_RenderPivotPoint00
---@return void
function XEMagicTrackingBaseInstance:RenderPivotPoint() end


---@public XEMagicTrackingBaseInstance_SetShowPivotPoint00
---@param bShow boolean
---@return void
function XEMagicTrackingBaseInstance:SetShowPivotPoint(bShow) end


---@public XEMagicTrackingBaseInstance_IsShowPivotPoint00
---@return boolean
function XEMagicTrackingBaseInstance:IsShowPivotPoint() end


---@public XEMagicTrackingBaseInstance_GetAttachComponent00
---@return XEActorComponent
function XEMagicTrackingBaseInstance:GetAttachComponent() end


---@public XEMagicTrackingBaseInstance_GetAllKeyPointIndex00
---@return number[]
function XEMagicTrackingBaseInstance:GetAllKeyPointIndex() end


---@public XEMagicTrackingBaseInstance_SetRefWidthHeight00
---@param vRefDeviceWidthHeight XVECTOR2
---@return void
function XEMagicTrackingBaseInstance:SetRefWidthHeight(vRefDeviceWidthHeight) end


---@public XEMagicTrackingBaseInstance_RemoveAllKeyPointIndex00
---@return void
function XEMagicTrackingBaseInstance:RemoveAllKeyPointIndex() end


---@public XEMagicTrackingBaseInstance_AddKeyPointIndex00
---@param nPointIndex number
---@return void
function XEMagicTrackingBaseInstance:AddKeyPointIndex(nPointIndex) end


---@public XEMagicTrackingBaseInstance_RemoveKeyPointIndex00
---@param nIndex number
---@return boolean
function XEMagicTrackingBaseInstance:RemoveKeyPointIndex(nIndex) end


---@public XEMagicTrackingBaseInstance_SetKeyPointIndex00
---@param nIndex number
---@param nFaceKeyPointIndex number
---@return void
function XEMagicTrackingBaseInstance:SetKeyPointIndex(nIndex, nFaceKeyPointIndex) end


---@public XEMagicTrackingBaseInstance_GetPivotPoint00
---@return XVECTOR2
function XEMagicTrackingBaseInstance:GetPivotPoint() end


---@public XEMagicTrackingBaseInstance_GetWorldTransform00
---@return XMATRIX4
function XEMagicTrackingBaseInstance:GetWorldTransform() end


