---@class XEDetectorCenter
XEDetectorCenter = {}


---@public XEDetectorCenter_ApplyFaceDetectProcess00
---@param bFaceDetect boolean
---@return void
function XEDetectorCenter:ApplyFaceDetectProcess(bFaceDetect) end


---@public XEDetectorCenter_ApplyFaceDetectProcess01
---@param bFaceDetect boolean
---@param dpDetectParams xhashtable_XString_and_XEVariant
---@return void
function XEDetectorCenter:ApplyFaceDetectProcess(bFaceDetect, dpDetectParams) end


---@public XEDetectorCenter_IsFaceDetectApplied00
---@return boolean
function XEDetectorCenter:IsFaceDetectApplied() end


---@public XEDetectorCenter_ApplyFaceAnimojiProcess00
---@param bAnimojiDetect boolean
---@return void
function XEDetectorCenter:ApplyFaceAnimojiProcess(bAnimojiDetect) end


---@public XEDetectorCenter_ApplyFaceAnimojiProcess01
---@param bAnimojiDetect boolean
---@param dpDetectParams xhashtable_XString_and_XEVariant
---@return void
function XEDetectorCenter:ApplyFaceAnimojiProcess(bAnimojiDetect, dpDetectParams) end


---@public XEDetectorCenter_IsFaceAnimojiDetectApplied00
---@return boolean
function XEDetectorCenter:IsFaceAnimojiDetectApplied() end


---@public XEDetectorCenter_ApplyFaceExpressionDetectProcess00
---@param bExpressionDetect boolean
---@return void
function XEDetectorCenter:ApplyFaceExpressionDetectProcess(bExpressionDetect) end


---@public XEDetectorCenter_ApplyFaceExpressionDetectProcess01
---@param bExpressionDetect boolean
---@param dpDetectParams xhashtable_XString_and_XEVariant
---@return void
function XEDetectorCenter:ApplyFaceExpressionDetectProcess(bExpressionDetect, dpDetectParams) end


---@public XEDetectorCenter_IsFaceExpressionDetectApplied00
---@return boolean
function XEDetectorCenter:IsFaceExpressionDetectApplied() end


---@public XEDetectorCenter_ApplyObjectDetectProcess00
---@param bObjectDetect boolean
---@return void
function XEDetectorCenter:ApplyObjectDetectProcess(bObjectDetect) end


---@public XEDetectorCenter_ApplyObjectDetectProcess01
---@param bObjectDetect boolean
---@param dpDetectParams xhashtable_XString_and_XEVariant
---@return void
function XEDetectorCenter:ApplyObjectDetectProcess(bObjectDetect, dpDetectParams) end


---@public XEDetectorCenter_IsObjectDetectApplied00
---@return boolean
function XEDetectorCenter:IsObjectDetectApplied() end


---@public XEDetectorCenter_ApplyBodyDetectProcess00
---@param bBodyDetect boolean
---@return void
function XEDetectorCenter:ApplyBodyDetectProcess(bBodyDetect) end


---@public XEDetectorCenter_ApplyBodyDetectProcess01
---@param bBodyDetect boolean
---@param dpDetectParams xhashtable_XString_and_XEVariant
---@return void
function XEDetectorCenter:ApplyBodyDetectProcess(bBodyDetect, dpDetectParams) end


---@public XEDetectorCenter_IsBodyDetectApplied00
---@return boolean
function XEDetectorCenter:IsBodyDetectApplied() end


---@public XEDetectorCenter_ApplyHandGestureDetectProcess00
---@param bHandGestureDetect boolean
---@return void
function XEDetectorCenter:ApplyHandGestureDetectProcess(bHandGestureDetect) end


---@public XEDetectorCenter_ApplyHandGestureDetectProcess01
---@param bHandGestureDetect boolean
---@param dpDetectParams xhashtable_XString_and_XEVariant
---@return void
function XEDetectorCenter:ApplyHandGestureDetectProcess(bHandGestureDetect, dpDetectParams) end


---@public XEDetectorCenter_IsHandGestureDetectApplied00
---@return boolean
function XEDetectorCenter:IsHandGestureDetectApplied() end


---@public XEDetectorCenter_ApplyImageSegmentDetectProcess00
---@param bImageSegmentDetect boolean
---@return void
function XEDetectorCenter:ApplyImageSegmentDetectProcess(bImageSegmentDetect) end


---@public XEDetectorCenter_ApplyImageSegmentDetectProcess01
---@param bImageSegmentDetect boolean
---@param dpDetectParams xhashtable_XString_and_XEVariant
---@return void
function XEDetectorCenter:ApplyImageSegmentDetectProcess(bImageSegmentDetect, dpDetectParams) end


---@public XEDetectorCenter_IsImageSegmentDetectApplied00
---@return boolean
function XEDetectorCenter:IsImageSegmentDetectApplied() end


---@public XEDetectorCenter_ApplyDeviceAttitudeProcess00
---@param bEnable boolean
---@return void
function XEDetectorCenter:ApplyDeviceAttitudeProcess(bEnable) end


---@public XEDetectorCenter_IsDeviceAttitudeProcessApplied00
---@return boolean
function XEDetectorCenter:IsDeviceAttitudeProcessApplied() end


---@public XEDetectorCenter_ApplyAccelerationProcess00
---@param bEnable boolean
---@return void
function XEDetectorCenter:ApplyAccelerationProcess(bEnable) end


---@public XEDetectorCenter_IsAccelerationProcessApplied00
---@return boolean
function XEDetectorCenter:IsAccelerationProcessApplied() end


---@public XEDetectorCenter_ApplyMutableMNNDetectProcess00
---@param mnnKey string
---@param strPath string
---@param bApplyDetect boolean
---@return void
function XEDetectorCenter:ApplyMutableMNNDetectProcess(mnnKey, strPath, bApplyDetect) end


---@public XEDetectorCenter_ApplyMutableMNNDetectProcess01
---@param mnnKey string
---@param strPath string
---@param bApplyDetect boolean
---@param dpDetectParams xhashtable_XString_and_XEVariant
---@return void
function XEDetectorCenter:ApplyMutableMNNDetectProcess(mnnKey, strPath, bApplyDetect, dpDetectParams) end


---@public XEDetectorCenter_IsMNNDetectApplied00
---@param mnnKey string
---@return boolean
function XEDetectorCenter:IsMNNDetectApplied(mnnKey) end


