---@class XMaterialParamTypeValue
XMaterialParamTypeValue = {}


---@public XMaterialParamTypeValue_new00
---@return XMaterialParamTypeValue
function XMaterialParamTypeValue:new() end


---@public XMaterialParamTypeValue_new01
---@param xValue  XMaterialParamTypeValue
---@return XMaterialParamTypeValue
function XMaterialParamTypeValue:new(xValue) end


---@public XMaterialParamTypeValue_new02
---@param vec1Val number
---@return XMaterialParamTypeValue
function XMaterialParamTypeValue:new(vec1Val) end


---@public XMaterialParamTypeValue_new03
---@param vec2Val XVECTOR2
---@return XMaterialParamTypeValue
function XMaterialParamTypeValue:new(vec2Val) end


---@public XMaterialParamTypeValue_new04
---@param vec3Val XVECTOR3
---@return XMaterialParamTypeValue
function XMaterialParamTypeValue:new(vec3Val) end


---@public XMaterialParamTypeValue_new05
---@param vec4Val XVECTOR4
---@return XMaterialParamTypeValue
function XMaterialParamTypeValue:new(vec4Val) end


---@public XMaterialParamTypeValue_new06
---@param vec4Val  XCOLORBASE
---@return XMaterialParamTypeValue
function XMaterialParamTypeValue:new(vec4Val) end


---@public XMaterialParamTypeValue_new07
---@param vec16Val XMATRIX4
---@return XMaterialParamTypeValue
function XMaterialParamTypeValue:new(vec16Val) end


---@public XMaterialParamTypeValue_new08
---@param pTexture2D IXTexture2D
---@return XMaterialParamTypeValue
function XMaterialParamTypeValue:new(pTexture2D) end


---@public XMaterialParamTypeValue_new09
---@param pTextureCube IXTextureCube
---@return XMaterialParamTypeValue
function XMaterialParamTypeValue:new(pTextureCube) end


---@class XMaterialParamDescInfo : XMemBase
XMaterialParamDescInfo = {}


---@type XMaterialDataType
XMaterialParamDescInfo.iType = {}


---@type string
XMaterialParamDescInfo.strMatParamName = ''


---@type number
XMaterialParamDescInfo.nId = 0


---@type boolean
XMaterialParamDescInfo.bUser = false


---@type XTexAddressType
XMaterialParamDescInfo.nTexAddreU = {}


---@type XTexAddressType
XMaterialParamDescInfo.nTexAddreV = {}


---@type XTexAddressType
XMaterialParamDescInfo.nTexAddreW = {}


---@type XTexFilterType
XMaterialParamDescInfo.nTexFilter = {}


---@type number @enum XWidgetType
XMaterialParamDescInfo.XWT_INPUT1 = 0


---@type number @enum XWidgetType
XMaterialParamDescInfo.XWT_INPUT2 = 0


---@type number @enum XWidgetType
XMaterialParamDescInfo.XWT_INPUT3 = 0


---@type number @enum XWidgetType
XMaterialParamDescInfo.XWT_INPUT4 = 0


---@type number @enum XWidgetType
XMaterialParamDescInfo.XWT_COLOR = 0


---@type number @enum XWidgetType
XMaterialParamDescInfo.XWT_TEXTURE = 0


---@type number @enum XWidgetType
XMaterialParamDescInfo.XWT_NUM = 0


---@class XMaterialParamDescInfo__XAnnotation
local XMaterialParamDescInfo__XAnnotation = {}
XMaterialParamDescInfo.XAnnotation = XMaterialParamDescInfo__XAnnotation


---@type string
XMaterialParamDescInfo__XAnnotation.strShowNameOnWidgetUI = ''


---@type number
XMaterialParamDescInfo__XAnnotation.nWidgetType = 0


---@type string
XMaterialParamDescInfo__XAnnotation.strTexName = ''


---@public XMaterialParamDescInfo_XAnnotation_new00
---@return XMaterialParamDescInfo__XAnnotation
function XMaterialParamDescInfo__XAnnotation:new() end


---@public XMaterialParamDescInfo_XAnnotation_new01
---@param other  XMaterialParamDescInfo::XAnnotation
---@return XMaterialParamDescInfo__XAnnotation
function XMaterialParamDescInfo__XAnnotation:new(other) end


---@type XMaterialParamDescInfo::XAnnotation
XMaterialParamDescInfo.annotation = {}


---@class XMaterialSupportMacro
XMaterialSupportMacro = {}


---@type number @enum MacroType
XMaterialSupportMacro.MT_PROGRAM = 0


---@type number @enum MacroType
XMaterialSupportMacro.MT_ART = 0


---@type number @enum MacroType
XMaterialSupportMacro.MT_NUM = 0


---@type string
XMaterialSupportMacro.strName = ''


---@type number
XMaterialSupportMacro.eType = 0


---@type string
XMaterialSupportMacro.strDesc = ''


---@type number
XMaterialSupportMacro.nGroupID = 0


---@public XMaterialSupportMacro_new00
---@return XMaterialSupportMacro
function XMaterialSupportMacro:new() end


---@class XMaterialShaderDescInfo : XMemBase
XMaterialShaderDescInfo = {}


---@type string
XMaterialShaderDescInfo.strVertexShaderFileName = ''


---@type string
XMaterialShaderDescInfo.strPixelShaderFileName = ''


---@type string
XMaterialShaderDescInfo.strShaderMacro = ''


---@type string
XMaterialShaderDescInfo.strMacroInMtlFile = ''


---@type string
XMaterialShaderDescInfo.strVSMainEntry = ''


---@type string
XMaterialShaderDescInfo.strPSMainEntry = ''


---@class XMaterialPassDescInfo
XMaterialPassDescInfo = {}


---@type boolean
XMaterialPassDescInfo.bWriteDepth = false


---@type boolean
XMaterialPassDescInfo.bTestDepth = false


---@type XRenderStateZTestFunc
XMaterialPassDescInfo.eZTestFunc = {}


---@type XRenderStateCullMode
XMaterialPassDescInfo.eCullMode = {}


---@type XBlendFactorType
XMaterialPassDescInfo.nSrcBlendFactor = {}


---@type XBlendFactorType
XMaterialPassDescInfo.nDestBlendFactor = {}


---@type XBlendFactorType
XMaterialPassDescInfo.eSrcAlphaBlendFactor = {}


---@type XBlendFactorType
XMaterialPassDescInfo.eDestAlphaBlendFactor = {}


---@type XMaterialShaderDescInfo
XMaterialPassDescInfo.strShaderDesc = {}


---@type number
XMaterialPassDescInfo.nShaderDescHash = 0


---@class IXMaterial : IXResource
IXMaterial = {}


---@public 释放信息
---@return void
function IXMaterial:Release() end


---@public 获取材质资源文件名
---@return string 材质资源文件名
function IXMaterial:GetMaterialFileName() end


---@public IXMaterial_GetPassNum00
---@return number
function IXMaterial:GetPassNum() end


---@public IXMaterial_GetMaterialRenderLayer00
---@return XMaterialRenderLayer
function IXMaterial:GetMaterialRenderLayer() end


---@public IXMaterial_GetShadingType00
---@return XMaterialShadingType
function IXMaterial:GetShadingType() end


---@public IXMaterial_GetRenderLayerSortValue00
---@return number
function IXMaterial:GetRenderLayerSortValue() end


---@public IXMaterial_IsEnableCastShadow00
---@return boolean
function IXMaterial:IsEnableCastShadow() end


---@public IXMaterial_IsLightingEnabled00
---@return boolean
function IXMaterial:IsLightingEnabled() end


---@public IXMaterial_GetSrcBlendFactorType00
---@param nPassIndex number
---@return XBlendFactorType
function IXMaterial:GetSrcBlendFactorType(nPassIndex) end


---@public IXMaterial_GetDestBlendFactorType00
---@param nPassIndex number
---@return XBlendFactorType
function IXMaterial:GetDestBlendFactorType(nPassIndex) end


---@public IXMaterial_GetSrcAlphaBlendFactorType00
---@param nPassIndex number
---@return XBlendFactorType
function IXMaterial:GetSrcAlphaBlendFactorType(nPassIndex) end


---@public IXMaterial_GetDestAlphaBlendFactorType00
---@param nPassIndex number
---@return XBlendFactorType
function IXMaterial:GetDestAlphaBlendFactorType(nPassIndex) end


---@public IXMaterial_IsEnableDepthTest00
---@param nPassIndex number
---@return boolean
function IXMaterial:IsEnableDepthTest(nPassIndex) end


---@public IXMaterial_IsEnableDepthWrite00
---@param nPassIndex number
---@return boolean
function IXMaterial:IsEnableDepthWrite(nPassIndex) end


---@public IXMaterial_IsEnableTwoSidedShow00
---@param nPassIndex number
---@return boolean
function IXMaterial:IsEnableTwoSidedShow(nPassIndex) end


---@public IXMaterial_GetCullMode00
---@param nPassIndex number
---@return XRenderStateCullMode
function IXMaterial:GetCullMode(nPassIndex) end


---@public IXMaterial_GetZTestFunc00
---@param nPassIndex number
---@return XRenderStateZTestFunc
function IXMaterial:GetZTestFunc(nPassIndex) end


---@public IXMaterial_GetMaterialPassDescInfo00
---@param nPassIndex number
---@return  XMaterialPassDescInfo
function IXMaterial:GetMaterialPassDescInfo(nPassIndex) end


---@public IXMaterial_GetMaterialPassDescInfo01
---@param nPassIndex number
---@return XMaterialPassDescInfo
function IXMaterial:GetMaterialPassDescInfo(nPassIndex) end


---@public IXMaterial_GetMatShaderDescInfo00
---@param nPassIndex number
---@return XMaterialShaderDescInfo
function IXMaterial:GetMatShaderDescInfo(nPassIndex) end


---@public 获取材质参数个数
---@return number 材质参数个数
function IXMaterial:GetMatParamCount() end


---@public 根据材质参数名获取材质参数信息描述结构体
---@param szName string 材质参数名
---@return XMaterialParamDescInfo 材质参数信息描述结构体
function IXMaterial:GetMatParamDescInfoByParamName(szName) end


---@public 根据材质参数id获取材质参数信息描述结构体
---@param id number 材质参数id
---@return XMaterialParamDescInfo 材质参数信息描述结构体
function IXMaterial:GetMatParamDescInfoByParamId(id) end


---@public 根据材质参数名获取材质参数id
---@param szName string 材质参数名
---@return number 材质参数id
function IXMaterial:GetMatParamIdByParamName(szName) end


---@public 获取支持的材质宏的个数
---@return number 支持的材质宏的个数
function IXMaterial:GetSupportMacroCount() end


---@public 根据id获取对应材质宏信息
---@param id number 宏id
---@return XMaterialSupportMacro 对应材质宏信息
function IXMaterial:GetSupportMacroById(id) end


---@class IXMaterialInstance : XOwnerRecorder
IXMaterialInstance = {}


---@public 释放信息
---@return void
function IXMaterialInstance:Release() end


---@public 获取材质指针
---@return IXMaterial 材质指针
function IXMaterialInstance:GetMaterialPtr() end


---@public 获取材质实例文件名
---@return string 材质实例文件名
function IXMaterialInstance:GetMaterialInsFile() end


---@public 获取材质参数总个数
---@return number 材质参数总个数
function IXMaterialInstance:GetParameterCount() end


---@public 根据材质参数名获取材质参数信息描述结构体
---@param szName string 材质参数名
---@return  XMaterialParamDescInfo 材质参数信息描述结构体
function IXMaterialInstance:GetParameterDescInfoByParamName(szName) end


---@public 根据材质参数id获取材质参数信息描述结构体
---@param id number 材质参数id
---@return  XMaterialParamDescInfo 材质参数信息描述结构体
function IXMaterialInstance:GetParameterDescInfoByParamId(id) end


---@public 根据材质参数名获取材质参数id
---@param szName string 材质参数名
---@return number 材质参数id
function IXMaterialInstance:GetParameterIdByParamName(szName) end


---@public 根据材质参数id获取材质参数信息
---@param iId number 材质参数id
---@return  XMaterialParamTypeValue 材质参数信息
function IXMaterialInstance:GetParameterByParamId(iId) end


---@public 根据材质参数名获取材质参数信息
---@param szName string 材质参数名
---@return  XMaterialParamTypeValue 材质参数信息
function IXMaterialInstance:GetParameterByParamName(szName) end


---@public 根据材质参数名设置材质参数信息
---@param szName string 材质参数名
---@param val  XMaterialParamTypeValue 材质参数信息
---@param bConstant boolean
---@return void
function IXMaterialInstance:SetParameterByParamName(szName, val, bConstant) end


---@public 根据材质参数id设置材质参数信息
---@param id number 材质参数id
---@param val  XMaterialParamTypeValue 材质参数信息
---@param bConstant boolean
---@return void
function IXMaterialInstance:SetParameterByParamId(id, val, bConstant) end


---@public 根据材质参数名设置材质纹理参数
---@param szName string 材质参数名
---@param pTexture IXTexture 材质纹理参数对象
---@return void
function IXMaterialInstance:SetTextureParameterByParamName(szName, pTexture) end


---@public 根据材质参数id设置材质纹理参数
---@param id number 材质参数id
---@param pTexture IXTexture 材质纹理参数对象
---@return void
function IXMaterialInstance:SetTextureParameterByParamId(id, pTexture) end


---@public 判断是否启用了某个宏
---@param id number 材质宏id
---@return boolean 是否启用
function IXMaterialInstance:IsMacroEnabled(id) end


---@public 设置是否启用某个材质参数宏id
---@param id number 材质参数宏id
---@param bEnable boolean 是否启用
---@return void
function IXMaterialInstance:EnabledMacro(id, bEnable) end


---@public 切换材质模板
---@param szMaterialFile string 材质模板文件名
---@return boolean 是否切换成功
function IXMaterialInstance:ChangeMtl(szMaterialFile) end


---@public 应用其他材质实例的参数到本材质实例
---@param pSrcMtlIns  IXMaterialInstance 应用的材质实例对象
---@return boolean 是否执行成功
function IXMaterialInstance:ApplyAndUpdateMaterial(pSrcMtlIns) end


---@public 是否投射阴影
---@return boolean 是否投射阴影
function IXMaterialInstance:IsCastShadow() end


---@class IXMaterialManager : XOwnerRecorder
IXMaterialManager = {}


---@public 初始化
---@return boolean 是否初始化成功
function IXMaterialManager:Init() end


---@public 释放信息
---@return void
function IXMaterialManager:Release() end


---@public 保存材质文件
---@param pMaterial IXMaterial
---@param szFileName string
---@param bBinary boolean
---@param bSaveToMinSupportVersion boolean
---@return void
function IXMaterialManager:SaveMaterial(pMaterial, szFileName, bBinary, bSaveToMinSupportVersion) end


---@public 获取一个内存中或硬盘上的材质，IXMaterial引用计数+1
---@param szMaterialFileName string
---@param szReplaceShaderMacro string
---@param bBinary boolean
---@param bReload boolean
---@return IXMaterial
function IXMaterialManager:GetMaterial(szMaterialFileName, szReplaceShaderMacro, bBinary, bReload) end


---@class IXMaterialManager__XMaterialInsParameterForSave
local IXMaterialManager__XMaterialInsParameterForSave = {}
IXMaterialManager.XMaterialInsParameterForSave = IXMaterialManager__XMaterialInsParameterForSave


---@type XMaterialDataType
IXMaterialManager__XMaterialInsParameterForSave.nMatInsDataType = {}


---@type string
IXMaterialManager__XMaterialInsParameterForSave.strMaterialInsParameterName = ''


---@type string
IXMaterialManager__XMaterialInsParameterForSave.strTexFile = ''


---@type boolean
IXMaterialManager__XMaterialInsParameterForSave.bRelativeToCurrentDirection = false


---@type XVECTOR4
IXMaterialManager__XMaterialInsParameterForSave.vecValues = {}


---@public 保存材质实例
---@param szSaveMatInsFile string 材质实例文件名
---@param szMatFile string
---@param szShaderMacro string
---@param aParams XMaterialInsParameterForSave[]
---@param bBinary boolean
---@return void
function IXMaterialManager:SaveMaterialInstance(szSaveMatInsFile, szMatFile, szShaderMacro, aParams, bBinary) end


---@public 获取一个内存中或硬盘上的材质实例，IXMaterialInstance引用计数+1
---@param szMaterialInsFileName string
---@param szReplaceShaderMacro string
---@param bReLoad boolean
---@param bBinary boolean
---@param bBinaryMaterialFile boolean
---@return IXMaterialInstance
function IXMaterialManager:GetMaterialInstance(szMaterialInsFileName, szReplaceShaderMacro, bReLoad, bBinary, bBinaryMaterialFile) end


---@public 创建一个内存中的材质实例，材质实例名称和宏连接起来的字符串作为key
---@param szNewMaterialInsFile string
---@param szMaterialFile string
---@param szReplaceShaderMacro string
---@param bBinaryMaterialFile boolean
---@return IXMaterialInstance
function IXMaterialManager:CreateMaterialInstance(szNewMaterialInsFile, szMaterialFile, szReplaceShaderMacro, bBinaryMaterialFile) end


---@public 重新加载材质实例
---@param szMaterialInsFile string 材质文件名
---@return void
function IXMaterialManager:ReloadMaterialInstance(szMaterialInsFile) end


---@public 判断材质实例是否存在(内存+硬盘)
---@param szMtlInsFile string
---@param szReplaceShaderMacro string
---@return boolean 材质实例是否存在
function IXMaterialManager:IsMaterialInstanceExist(szMtlInsFile, szReplaceShaderMacro) end


---@public 判断材质实例是否已加载
---@param szMtlInsFile string
---@param szReplaceShaderMacro string
---@return boolean 材质实例是否已加载
function IXMaterialManager:IsMaterialInstanceLoaded(szMtlInsFile, szReplaceShaderMacro) end


