---@type number @enum XConVarFlag
XCONVAR_ALL = 0


---@type number @enum XConVarFlag
XCONVAR_BOOL = 0


---@type number @enum XConVarFlag
XCONVAR_INT = 0


---@type number @enum XConVarFlag
XCONVAR_FLOAT = 0


---@type number @enum XConVarFlag
XCONVAR_ENGINE = 0


---@type number @enum XConVarFlag
XCONVAR_D3D9RENDERER = 0


---@type number @enum XConVarFlag
XCONVAR_GLES2RENDERER = 0


---@type number @enum XConVarFlag
XCONVAR_D3D11RENDERER = 0


---@type number @enum XConVarFlag
XCONVAR_EDITOR = 0


---@type number @enum XConVarFlag
XCONVAR_CLIENT = 0


---@type number @enum XConVarFlag
XCONVAR_INIT = 0


---@type number @enum XConVarFlag
XCONVAR_ROM = 0


---@type number @enum XConVarFlag
XCONVAR_ARCHIVE = 0


---@type number @enum XConVarFlag
XCONVAR_STATIC = 0


---@type number @enum XConVarFlag
XCONVAR_MODIFIED = 0


---@type number @enum XSceneRenderMode
XSRM_FORWARD_RENDER = 0


---@type number @enum XBlendShapeNormalMethod
XMM_OIRIGINAL = 0


---@type number @enum XBlendShapeNormalMethod
XMM_NLERP = 0


---@type number @enum XBlendShapeNormalMethod
XMM_RECALCULATE = 0


---@type number @enum XBlendShapeNormalMethod
XMM_NUM = 0


---@class XConsoleVariable
XConsoleVariable = {}


---@public XConsoleVariable_new00
---@return XConsoleVariable
function XConsoleVariable:new() end


---@public XConsoleVariable_new01
---@param szName string
---@param szValue string
---@param nFlags number
---@param szDesc string
---@return XConsoleVariable
function XConsoleVariable:new(szName, szValue, nFlags, szDesc) end


---@public XConsoleVariable_new02
---@param szName string
---@param szValue string
---@param nFlags number
---@param szDesc string
---@param fMinValue number
---@param fMaxValue number
---@return XConsoleVariable
function XConsoleVariable:new(szName, szValue, nFlags, szDesc, fMinValue, fMaxValue) end


---@public XConsoleVariable_GetName00
---@return string
function XConsoleVariable:GetName() end


---@public XConsoleVariable_GetFlags00
---@return number
function XConsoleVariable:GetFlags() end


---@public XConsoleVariable_GetDesc00
---@return string
function XConsoleVariable:GetDesc() end


---@public XConsoleVariable_GetMinValue00
---@return number
function XConsoleVariable:GetMinValue() end


---@public XConsoleVariable_GetMaxValue00
---@return number
function XConsoleVariable:GetMaxValue() end


---@public XConsoleVariable_IsModified00
---@return boolean
function XConsoleVariable:IsModified() end


---@public XConsoleVariable_SetModified00
---@return void
function XConsoleVariable:SetModified() end


---@public XConsoleVariable_ClearModified00
---@return void
function XConsoleVariable:ClearModified() end


---@public XConsoleVariable_GetString00
---@return string
function XConsoleVariable:GetString() end


---@public XConsoleVariable_GetBool00
---@return boolean
function XConsoleVariable:GetBool() end


---@public XConsoleVariable_GetInt00
---@return number
function XConsoleVariable:GetInt() end


---@public XConsoleVariable_GetFloat00
---@return number
function XConsoleVariable:GetFloat() end


---@public XConsoleVariable_GetVector400
---@return XVECTOR4
---@return void
function XConsoleVariable:GetVector4() end


---@public XConsoleVariable_SetString00
---@param szValue string
---@return void
function XConsoleVariable:SetString(szValue) end


---@public XConsoleVariable_SetBool00
---@param bValue boolean
---@return void
function XConsoleVariable:SetBool(bValue) end


---@public XConsoleVariable_SetInt00
---@param nValue number
---@return void
function XConsoleVariable:SetInt(nValue) end


---@public XConsoleVariable_SetFloat00
---@param fValue number
---@return void
function XConsoleVariable:SetFloat(fValue) end


---@public XConsoleVariable_SetVector400
---@param pValue XVECTOR4
---@return void
function XConsoleVariable:SetVector4(pValue) end


---@class IXConVarSys
IXConVarSys = {}


---@public IXConVarSys_Find00
---@param szName string
---@return XConsoleVariable
function IXConVarSys:Find(szName) end


---@public IXConVarSys_GetConVarString00
---@param szName string
---@return string
function IXConVarSys:GetConVarString(szName) end


---@public IXConVarSys_GetConVarBool00
---@param szName string
---@return boolean
function IXConVarSys:GetConVarBool(szName) end


---@public IXConVarSys_GetConVarInt00
---@param szName string
---@return number
function IXConVarSys:GetConVarInt(szName) end


---@public IXConVarSys_GetConVarFloat00
---@param szName string
---@return number
function IXConVarSys:GetConVarFloat(szName) end


---@public IXConVarSys_GetConVarVector400
---@param szName string
---@return XVECTOR4
---@return void
function IXConVarSys:GetConVarVector4(szName) end


