---@class IXPlatformWindow
IXPlatformWindow = {}


---@public 获取窗口句柄
---@return userdata 窗口句柄
function IXPlatformWindow:GetWinHandle() end


---@public 获取窗口宽度
---@return number 窗口宽度
function IXPlatformWindow:GetWidth() end


---@public 获取窗口高度
---@return number 窗口高度
function IXPlatformWindow:GetHeight() end


---@public IXPlatformWindow_GetWindowScale00
---@return number
function IXPlatformWindow:GetWindowScale() end


---@public 判断窗口是否全屏
---@return boolean 窗口是否全屏
function IXPlatformWindow:IsFullScreen() end


---@public 获取鼠标坐标X分量
---@return number 鼠标坐标X分量
function IXPlatformWindow:GetMouseX() end


---@public 获取鼠标坐标Y分量
---@return number 鼠标坐标Y分量
function IXPlatformWindow:GetMouseY() end


---@public 设置窗口宽高
---@param width number 窗口的宽
---@param height number 窗口的高
---@return void
function IXPlatformWindow:SetWidthHeight(width, height) end


